var targetObj = {};
var radioid = 0;
var status = '';
window.onload = function() {
	centerLoadingStart("content");
	var call = "GetRadioNowPlaying";
    var str = callClient(call);
	radioid = getValue(str,'radioid');
	status = getValue(str,'playstatus');
	var uid = getUserID("uid");
	var login = 0;
	if (uid != 0) login = 1;
	var radioChannelData = getDataByCache('radio-channel');
	if(radioChannelData){
		try{
			getRadioListData($.parseJSON(radioChannelData));
		}catch(e){
			var url = 'http://qukudata.kuwo.cn/q.k?op=query&cont=tree&node=87235&pn=0&rn=100&fmt=json&src=mbox&level=3&sourceset=tag_radio&callback=getRadioListData&extend=gxh&kid='+getUserID("devid")+'&uid='+uid+'&ver='+getVersion()+'&login='+login;
			getScriptData(url);
		}
	}else{
		var url = 'http://qukudata.kuwo.cn/q.k?op=query&cont=tree&node=87235&pn=0&rn=100&fmt=json&src=mbox&level=3&sourceset=tag_radio&callback=getRadioListData&extend=gxh&kid='+getUserID("devid")+'&uid='+uid+'&ver='+getVersion()+'&login='+login;
		getScriptData(url);
	}
	objBindFn();
};

$(window).resize(function() {
	iframeObj.refresh();
});

// 创建电台列表
function getRadioListData(jsondata){
	var data = jsondata;
	var child = data.child;
	var len = child.length;
	var navarr = [];
	var navxia = 0;
	var arr = [];
	var xia = 0;
	var index = 0;
	for (var i = 0; i < len; i++) {
		var obj = child[i];
		if (obj.pc_extend.indexOf('NOTSHOWPC2015') > -1) continue;
		var disname = obj.disname;
		var id = obj.id;
		var tag = 'tag' + id;
		var isCurrent = '';
		i == 0 ? isCurrent = 'current' : isCurrent = '';
		navarr[navxia++] = '<a hidefocus style="margin-right:15px;" href="###" c-target="'
		navarr[navxia++] = tag;
		navarr[navxia++] = '" class="';
		navarr[navxia++] = isCurrent;
		navarr[navxia++] = '" title="';
		navarr[navxia++] = disname;
		navarr[navxia++] = '"><i></i>';
		navarr[navxia++] = disname;
		navarr[navxia++] = '</a>';
		arr[xia++] = '<h2 id="';
		arr[xia++] = tag;
		arr[xia++] = '"><span class="title">';
		arr[xia++] = disname;
		arr[xia++] = '<font style="font-size:12px;"> . fm</font>';
		arr[xia++] = '</span></h2>';
		var radioList = child[i].child;
		var radioLen = radioList.length;
		var radioarr = [];
		var radioxia = 0;
		for (var j = 0; j < radioLen; j++ ) {
			if (radioList[j].pc_extend.indexOf('NOTSHOWPC2015') > -1) continue;
			index++;
			radioarr[radioxia++] = createRadioBlock (radioList[j], 'radio', 0,index);
		}
		arr[xia++] = '<ul class="kw_radio_list">';
		arr[xia++] = radioarr.join('');
		arr[xia++] = '</ul>';
	}
	var navStr = navarr.join('');
	var contentStr = arr.join('');
	$(".sub_nav").html(navStr);
	$(".radio_con").html(contentStr);
	centerLoadingEnd("content");
	iframeObj.refresh();
	if (radioid) {
		initRadioStatus(parseInt(status,10),radioid);
	}
}

// 暂停播放电台
function stopRadio(evt,id){
	var call = 'ChgRadioPlayStatus?radioid='+id+'&playstatus=2';
	callClient(call);	
}

// 继续播放电台 
function continueRadio(evt,id) {
	var call = 'ChgRadioPlayStatus?radioid='+id+'&playstatus=1';
	callClient(call);
}

var radioTimer = null;
function initRadioStatus(num,id) {
	// 电台正在播放  -1  暂停播放-2  无电台播放 -3
 	if (num == 1){
		clearTimeout(radioTimer);
		var stopicon = '';
		var comobj = $(".br_pic");
		var obj = $(".radio_" + id).find(".br_pic");	
		comobj.attr("c-status","0");
		comobj.removeClass("current_pic");
		comobj.find(".radio_play").remove();
		comobj.find(".radio_start").remove();
		comobj.find(".radio_stop").remove();
		comobj.find(".radio_pause").remove();
		comobj.find(".i_play").show();
		comobj.attr("c-status","0");
		comobj.removeAttr('onclick');
		comobj.unbind("click").bind("click", function () {
			eval($(this).attr("_onclick"));
		});
		obj.addClass("current_pic");
		obj.find(".i_play").hide();
		obj.find(".radio_start").remove();
		obj.find(".radio_play").remove();
		obj.find(".radio_stop").remove();
		obj.attr("c-status","1");
		if (obj.hasClass("on")) {
			stopicon = '<i title="暂停播放" onclick="" class="radio_pause"></i>';
		} else {
			stopicon = '<img class="radio_play" src="img/radio_play.gif">';
		}
		obj.append(stopicon);
		obj.removeAttr('onclick');
		obj.unbind("click").bind("click", function () {
			stopRadio(arguments[0],id);
			return false;
		});
	
 	} else if (num == 2) {
		clearTimeout(radioTimer);
		var playicon = '';
		var comobj = $(".br_pic");
		var obj = $(".radio_" + id).find(".br_pic");		
		comobj.removeClass("current_pic");
		comobj.find(".radio_play").remove();
		comobj.find(".radio_start").remove();		
		comobj.find(".radio_stop").remove();
		comobj.find(".radio_pause").remove();
		comobj.find(".i_play").show();
		comobj.attr("c-status","0");
		comobj.removeAttr('onclick');
		comobj.unbind("click").bind("click", function () {
			eval($(this).attr("_onclick"));
			return false;
		});
		obj.attr("c-status","2");
		obj.addClass("current_pic");
		obj.find(".i_play").hide();
		obj.find(".radio_play").remove();
		obj.find(".radio_stop").remove();
		obj.find(".radio_pause").remove();
		if (obj.hasClass("on")){
			playicon = '<i title="继续播放" onclick="" class="radio_start"></i>';
		} else {
			playicon = '<i class="radio_stop"></i>';
		}
		obj.append(playicon);
		obj.removeAttr('onclick');
		obj.unbind("click").bind("click", function () {
			continueRadio(arguments[0],id);
			return false;
		});
	} else {
		clearTimeout(radioTimer);
		radioTimer = setTimeout(function(){
			var comobj = $(".br_pic");
			comobj.attr("c-status","0");					
			comobj.removeClass("current_pic");
			comobj.find(".radio_play").remove();
			comobj.find(".radio_stop").remove();
			comobj.find(".radio_start").remove();
			comobj.find(".radio_pause").remove();
			comobj.find(".i_play").show();			
			comobj.removeAttr('onclick');
			comobj.unbind("click").bind("click", function () {
				eval($(this).attr("_onclick"));
				return false;
			});
		}, 100);
	}
}

function objBindFn() {
	$(".sub_nav a").live("click",function() {
		var obj = $(this);
		obj.siblings().removeClass("current");
		obj.addClass("current");
		var t = $("#" + obj.attr("c-target")).offset().top;
		fobj.returnTop(t);
		setTimeout(function(){$(".sub_nav a").removeClass("current").eq(0).addClass("current")},500);
		return false;
	});
	
	$(".br_pic").live("mouseenter",function(){
		if ($(this).hasClass("on")) return;
		$(this).addClass("on");
		var status = $(this).attr("c-status");
		if (!parseInt(status,10)) return;
		var someClass = $(this).parent().attr('class');
		var s = someClass.indexOf("radio_");
		var id = someClass.substring(s + 6);
		var stopicon = '';
		var click = '';
		if (status == 1) {
			click = 'stopRadio(arguments[0],\''+id+'\',true);';
			stopicon = '<i title="暂停播放" onclick="" class="radio_pause"></i>';
			$(this).find(".radio_pause").remove();
			$(this).find(".radio_play").remove();
		} else if (status == 2)	{
			click = 'continueRadio(arguments[0],\''+id+'\',true);';
			stopicon = '<i title="继续播放" onclick="" class="radio_start"></i>';
			$(this).find(".radio_start").remove();
			$(this).find(".radio_stop").remove();
		}
		$(this).append(stopicon);
		$(this).removeAttr('onclick');
		$(this).unbind("click").bind("click", function () {
			eval(click);
		});		
		return false;
	});
	
	$(".br_pic").live("mouseleave",function(){
		$(this).removeClass("on");
		$(this).find(".radio_pause").remove();
		$(this).find(".radio_start").remove();
		var status = $(this).attr("c-status");
		if (status == 1) {
			var stopicon = '<img class="radio_play" src="img/radio_play.gif">';
			$(this).find(".radio_play").remove();
			$(this).find(".i_play").hide();
			$(this).append(stopicon);
		} else if (status == 2)	{
			var playicons = '<i class="radio_stop"></i>';
			$(this).find(".radio_stop").remove();
			$(this).find(".i_play").hide();
			$(this).append(playicons);
		}
		return false;
	});
}
