var tree;  // 导航tree
var uid = '';  // 用户id和设备id
var kid = '';
var treeindex = {};  // 导航tree索引
var index_host = "http://js01.kuwo.cn/";  // 首页数据host
var index_url_ie = index_host+"star/MusicTopToday/js01/topmusic/recIndex2015_gxh_0902.data";
var index_url_other = index_host+"star/MusicTopToday/js01/topmusic/recIndex2015_gxh_0902.js";
var nodeArray = [];
var zoneNameStr = '';  //存专区名字，过滤相应分类
var cfvfn;
var cfobj;
var removeAdByLocation = getDataByCache("removeAdByLocation") || false;//是否根据地理位置信息去广告
window.onerror = function(){
	return true;
}
// 通过本地去取曲库首页结构图
function loadQuKuTreeByLocal(){
	loadQuKuTree();
}
// 通过网络去取曲库首页结构图 60分钟更新一次
var treetime1 = 0;
function loadQuKuTreeByInternet(){
	var nowtime = new Date().getTime();
	var limittime = 0;
	if (treetime1 == 0) {
		treetime1 = nowtime;
	} else {
		limittime = nowtime - treetime1;
	}
	if (limittime!=0 && limittime<3600000){
		return;
	}
	var d = new Date();
	var r = d.getYear() + d.getMonth() + d.getDate() + d.getHours() + parseInt((d.getMinutes()/20));
	r = ''+d.getYear()+d.getMonth()+d.getDate()+r;
 	var url = "http://qukudata.kuwo.cn/q.k?op=query&cont=tree&node=1&level=3&maxchd=50&fmt=json&kset=default&src=mbox&callback=showQuKuTreeFromInternet&time="+r+"&version="+getVersion()+"&uid="+getUserID("uid")+"&kid="+getUserID("devid");
	$.getScript(url);
}
// 加载曲库首页结构
function loadQuKuTree(){
	var treeCache = "";
	treeCache = callClient("GetCache?key=TreeService2015");
	var data;
	if(typeof(tree)=="object"){
		data = tree;
	}else if(typeof(treeCache)!="undefined" && treeCache!=""){
		try{
			data = $.parseJSON(treeCache);
		}catch(e){
			data = eval('('+treeCache+')');
			webLog("loadQuKuTree:"+e.message);
		}
		tree = data;
	}else{
		data = basetree;
		tree = data;
	}
	loadQuKuIndex(tree);
	if(typeof(data)=="undefined" || data==null||typeof(data.child)=="undefined"){
		return;
	}
	loadSubNav();
	var node = {};
	node.source = 0;
	tuijian(node,"noback");
	data = null;
	// 通过网络去取新的tree然后放到缓存
	// loadQuKuTreeByInternet();
}
// 过滤导航类型
function checkTree(){
    var obj = tree.child;
    for(var i = 0, j=obj.length; i<j; i++){
        if(typeof(obj[i])=="undefined"||typeof(obj[i].source)=="undefined"){
            continue;
        }
        var a = false;
		if(sourceISOK(obj[i].source)&&obj[i].source!=28&&obj[i].source!=29){
		    tree.child = delJsonObj((i+1),obj);
		    a = true;
		}
		if(obj[i].child.length>0){
			tree.child[i] = checkTreeTwo(obj[i],obj[i].child);
		}
		if(a){
		    i--;
		}
	}
}
var zoneNameStr2 = '';
function checkTreeTwo(obj1,obj2){
    for(var i = 0,j=obj2.length;i<j;i++){
        if(typeof(obj2[i])=="undefined"||typeof(obj2[i].source)=="undefined"){
            continue;
        }
        var tdis = obj2[i].disname;
        if(obj2[i].source==29){
	        var lennum = tdis.indexOf('专区');
	        if(lennum>-1){
	           var someZoneName = $.trim(tdis.substring(0,lennum));
	            // zoneNameStr2 += someZoneName+'|||';
	        }
        }else{
	        if(zoneNameStr2.indexOf($.trim(tdis)+'|||')>-1){
	            obj1.child = delJsonObj((i+1),obj2);
                i--;
	        }
        }
        if(sourceISOK(obj2[i].source)&&obj2[i].source!=28&&obj2[i].source!=29){
            obj1.child = delJsonObj((i+1),obj2);
            i--;
        }
    }
    return obj1;
}
function delJsonObj(index, dataArray){
    var len=dataArray.length;
    for(var i=0;i<len;i=i+1){
        if(i==(index-1)){
            for(var j=i+1;j<len;j=j+1){
                //当前索引值后的数据都向前移
                dataArray[j-1]=dataArray[j];
            }
            //移完之后,自身长度减1
            dataArray.length--;
        }
    }
    return dataArray;
}
// 通过网络去取tree返回方法
function showQuKuTreeFromInternet(jsondata){
	var data = jsondata;
	if(typeof(data)=="undefined"||data==null||typeof(data.child)=="undefined"||data.child.length<5){
		return;
	}
	var childlength = data.child.length;
	tree = data;
	loadQuKuIndex(tree);
	var call = "SetCache?key=TreeService2015&time=86400\r\n"+(obj2Str(tree));
	callClient(call);
	subnavrefresh = true;
	data = null;
}
// 加载曲库tree里面对应的索引
function loadQuKuIndex(obj){
    checkTree();
	var keySize = 0;
	treeindex = {};
	for(var name in treeindex){
		keySize++;
	}
	if(keySize == 0){
		pushIndexObject(obj.child,"0");
	}
}
// 专门往treeindex中写入每一个节点对应的索引
var indexFlag = true;
function pushIndexObject(obj,idx){
	var key;
	var index;
	for(var i = 0,j=obj.length;i<j;i++){
		key = obj[i].id;
		if(key==""){
			key = "kuwo";
		}
		index = idx+"_"+i;
		treeindex[key] = index;
		if(obj[i].child.length>0){
			pushIndexObject(obj[i].child,index);
		}
	}
}
// 加载首页导航
function loadSubNav(){
	var treeobj = tree;
	if(typeof(treeobj)!="object"){
		return;
	}
	var treeobjs = treeobj.child;
	var navString = '<a class="current" href="###" onclick="qukuhtml();" hidefocus><i></i>首页</a>';
	var tesestring = "";
	var tesefirst = true;
	var tesebehind = "";
	var hrefstring = "";
	var twocatstring = "";
	var name;
	var tagid;
	var subchild;
	var subchildsize;
	var disname;
	var source;
	var sourceid;
	var id;
	var catid;
	var extend;
	var hotstring;
	for(var i = 0; i < treeobjs.length; i++){	
		name = treeobjs[i].disname;
		if (name == '热门分类') name = '分类';
		tagid = treeobjs[i].id;
		source = treeobjs[i].source;
		//如果有美女秀 调客户端看是否显示美女秀
		if(tagid==22989&&callClient("GetQKDisplayConfig")=="PrettyShow=hide"){
		    continue;
		}
		if((tagid>=10 && tagid<=15) || tagid==194 || tagid==176){
		    continue;
		}
		if(tagid==72305||tagid==87045||tagid==22997){
		    continue;
		}
		if(sourceISOK(source)){
			continue;
		}
		extend = treeobjs[i].extend;	
		hrefstring = "commonClick("+getNodeJsonString(new Node("-2",tagid,i,"-2"))+")";
		navString += '<a id="cat_'+tagid+'" hidefocus href="###" onclick="'+hrefstring+'"><i></i>'+name+'</a>';
		subchild = treeobjs[i].child
		subchildsize = subchild.length;
		for (var j = 0; j < subchildsize; j++) {
			disname = subchild[j].disname;
			disname = $.trim(disname);
			source = subchild[j].source;
			if(sourceISOK(source)&&source!=29){
				continue;
			}
			sourceid = subchild[j].sourceid;
			id = subchild[j].id;
			name = subchild[j].name;
			name = $.trim(name);
			if(source != 1 && source != 3 && source != 5 && source != 6 && source != 16 && source!=29) {
				continue;
			}
			twocatstring = "commonClick("+getNodeJsonString(new Node(source,sourceid,name,id))+")";
		}

		if(name == "电台"){
//			hrefstring = "commonClick("+getNodeJsonString(new Node("21","http://fanxing.kugou.com/static/special/fmpc/index.html?unionId=128",888889,"21"))+")";
			hrefstring = "commonClick("+getNodeJsonString(new Node("21","http://x.kuwo.cn/KuwoLive/OpenLiveFMRoomLink?from=1001003082&cid="+getUserID("devid"),888889,"21"))+")";
			navString += '<a id="cat_'+888889+'" hidefocus href="###" onclick="'+hrefstring+'"><i></i>美女秀<img src="img/music.gif" style="display: inline;margin-left: 3px;"></a>';
		}
	}
	subnavObj.html(navString);
}
// 点击曲库首页链接或者曲库面包屑方法进行跳转
function qukuhtml(nodeobj){
    var node = {};
    if(!nodeobj){
        node.source = 0;
    }else{
        node = nodeobj;
    }
	tuijian(node);
	loadQuKuTreeByInternet();
	
}

function newqukuhtml(nodeobj){
	isRefresh=true;
	var node = {};
    if(!nodeobj){
        node.source = 0;
    }else{
        node = nodeobj;
    }
	tuijian(node);
	loadQuKuTreeByInternet();
	$('.nav').children(0)[0].onclick=newqukuhtml;
}

// 选中导航中的分类
function selectCat(catid){
    subnavObj.find(".current").removeClass("current");
    $("#cat_"+catid).addClass("current");
}

// 选中导航中的首页
function selectIndex(){
    subnavObj.find(".current").removeClass("current");
    subnavObj.find("a").eq(0).addClass("current");
}
// 加载个性化电台
var gxhRadioObj;
function loadGXHRadio(){
    var uid = getUserID("uid");
    var kid = getUserID("devid");
    var login = 0;
    if(uid!=0){
        login = 1;
    }
    //var url = "http://gxh2.kuwo.cn/newradio.nr?type=22&uid="+uid+"&login="+login+"&ver="+getVersion()+"&kid="+kid+"&time="+Math.random();
    //var url = "http://60.28.195.115/newradio.nr?type=20&uid="+uid+"&login="+login+"&ver="+getVersion()+"&kid="+kid+"&time="+Math.random();
    //var url="http://60.28.201.17/newradio.nr?type=22&uid="+uid+"&login="+login+"&kid="+kid+"&size=10&ver="+getVersion()+"&is_new=1&time="+Math.random();
    var url="http://gxh2.kuwo.cn/newradio.nr?type=22&uid="+uid+"&login="+login+"&kid="+kid+"&size=10&ver="+getVersion()+"&is_new=1&time="+Math.random();
    $.ajax({
        url:url,
		dataType:"text",
		type:"get",
		crossDomain:false,
		success:function(radiodata){
			try{
				var radioobj = eval('('+radiodata+')');
			    if(typeof(radioobj)=="object"&&radioobj.length>0){
			        gxhRadioObj = radioobj;
			    }
			}catch(e){
				gxhRadioObj = [];
			}
		},
		error:function(){
		}
    });
}

//加载口味与发现的数据
var rcmPersonalObj;
var rcmDiscoverObj;
var rcmPersonalMusicString='';
var rcmDiscoverMusicString='';
var rcmDataJson={'dataOk1':false,'dataOk2':false,'cacheOk1':false,'cacheOk2':false};
function getRcmData(){
	var uid = getUserID("uid");
    var kid = getUserID("devid");
    $('#gxhTasteDiscovery').show();

    var oDate=new Date();
    var oYear=oDate.getFullYear();
    var oMonth=oDate.getMonth()+1;
    var oDay=oDate.getDate();
    var oHou=oDate.getHours();
    var date=oYear+toDou(oMonth)+toDou(oDay)+toDou(oHou);

    //口味与发现的首次登录缓存数据
    var pFirstConfig=getDataByConfig("optionPre","personalFirstLogin");
    var dFirstConfig=getDataByConfig("optionPre","discoverFirstLogin");
    //口味的数据(替换成每天生成一份新的cache)
    var personalData = getDataByCache(date+"personalCache"+uid+kid);
    if(personalData){
    	rcmDataJson.cacheOk1=true;
    	rcmPersonalObj=eval('('+personalData+')');
    	if(typeof(rcmPersonalObj)=="object"&&rcmPersonalObj.length>0){
    		oldData=copyArr(rcmPersonalObj);
    		//重新排序数据
    		rcmPersonalObj=newMsgSort(rcmPersonalObj);
    		//交互第一个数据和第二个数据
    		var rcmPersonalData=copyArr(rcmPersonalObj);
    		var a=rcmPersonalData[0];
    		rcmPersonalData[0]=rcmPersonalData[1];
    		rcmPersonalData[1]=a;
    		//存储对应图片
    		rcmDataJson.PersonalImg=rcmPersonalData[0].pic;
    		//数据数组排序
    		rcmPersonalData=arrConcat(rcmPersonalData,oldData);
    		// 播歌字符串
    		rcmPersonalMusicString=rcmPlaystring(rcmPersonalData,'首页->为你推荐->私人口味集');
    		$('#gxhTasteDiscovery .gxh_titleMoveBox').eq(0).css({'top':'-14px'});
	       	$('#gxhTasteDiscovery .gxh_imgMoveBox').eq(0).css({'top':'-70px'});
			//if(pFirstConfig=='1'){
	       		setRcmMsg(rcmPersonalObj,[$('#gxhTasteDiscovery p').eq(0),$('#gxhTasteDiscovery .defimg').eq(0)],1);
	       		setRcmMsg(rcmPersonalObj,[$('#gxhTasteDiscovery p').eq(1),$('#gxhTasteDiscovery .defimg').eq(1)],0);
	       	//}
    	}else{
    		$('#gxhTasteDiscovery').hide();
    	}
    }else{
    	var url = "http://rcm.kuwo.cn/rec.s?cmd=rcm_personal&uid="+uid+"&devid="+kid+"&platform=pc&pn=0"+"&rn=20&t="+Math.random();
    	var testurl='http://rcm.kuwo.cn/rec.s?cmd=rcm_personal&uid=171368251&devid=43513807&platform=pc&pn=0&rn=20&t'+Math.random();
	    $.ajax({
	        url:url,
			dataType:"text",
			type:"get",
			crossDomain:false,
			success:function(rcmdata){
				saveDataToCache(date+"personalCache"+uid+kid,rcmdata,3600);
			    var rcmObj = eval('('+rcmdata+')');
			    //saveDataToCache("cacheName",obj2Str(rcmObj));
			    if(typeof(rcmObj)=="object"&&rcmObj.length>0){
			        rcmPersonalObj = rcmObj;
			        oldData=copyArr(rcmPersonalObj);
			        //重新排序数据
		    		rcmPersonalObj=newMsgSort(rcmPersonalObj);
		    		//交互第一个数据和第二个数据
		    		var rcmPersonalData=copyArr(rcmPersonalObj);
		    		var a=rcmPersonalData[0];
		    		rcmPersonalData[0]=rcmPersonalData[1];
		    		rcmPersonalData[1]=a;
		    		//存储对应图片
		    		rcmDataJson.PersonalImg=rcmPersonalData[0].pic;
		    		//数据数组排序
		    		rcmPersonalData=arrConcat(rcmPersonalData,oldData);
		    		// 播歌字符串
		    		rcmPersonalMusicString=rcmPlaystring(rcmPersonalData,'首页->为你推荐->私人口味集');
			       	// 返回原位
			       	$('#gxhTasteDiscovery .gxh_titleMoveBox').eq(0).css({'top':'-14px'});
	       			$('#gxhTasteDiscovery .gxh_imgMoveBox').eq(0).css({'top':'-70px'});
			       	//歌曲名展示 歌手图片展示
			       	//if(pFirstConfig=='1'){
			       		setRcmMsg(rcmPersonalObj,[$('#gxhTasteDiscovery p').eq(0),$('#gxhTasteDiscovery .defimg').eq(0)],1);
			       		setRcmMsg(rcmPersonalObj,[$('#gxhTasteDiscovery p').eq(1),$('#gxhTasteDiscovery .defimg').eq(1)],0);
			       	//}
			       	//存储首次登录信息
			       	setDataToConfig("optionPre","personalFirstLogin","1");
			       	//个性化日志发送
			       	realTimeLog("ABLOG","TYPE:RCMLOGIN|RCMDATA:1");
			       	rcmDataJson.dataOk1=true;
			    }else{
			    	realTimeLog("ABLOG","TYPE:RCMLOGIN|RCMDATA:0");
			    	$('#gxhTasteDiscovery').hide();
			    }
			},
			error:function(){
			}
	    });
    }

   	//发现的数据
   	var discoverData = getDataByCache(date+"discoverCache"+uid+kid);
    if(discoverData){
    	rcmDataJson.cacheOk2=true;
    	rcmDiscoverObj=eval('('+discoverData+')');
    	if(typeof(rcmDiscoverObj)=="object"&&rcmDiscoverObj.length>0){
    		oldData=copyArr(rcmDiscoverObj);
    		//重新排序数据
    		rcmDiscoverObj=newMsgSort(rcmDiscoverObj);
    		//交互第一个数据和第二个数据
    		var rcmDiscoverData=copyArr(rcmDiscoverObj);
    		var a=rcmDiscoverData[0];
    		rcmDiscoverData[0]=rcmDiscoverData[1];
    		rcmDiscoverData[1]=a;
    		//存储对应图片
    		rcmDataJson.DiscoverImg=rcmDiscoverData[0].pic;
    		//数据数组排序
    		rcmDiscoverData=arrConcat(rcmDiscoverData,oldData);
    		//播歌字符串
    		rcmDiscoverMusicString=rcmPlaystring(rcmDiscoverData,'首页->为你推荐->发现好歌');
    		$('#gxhTasteDiscovery .gxh_titleMoveBox').eq(1).css({'top':'-14px'});
	       	$('#gxhTasteDiscovery .gxh_imgMoveBox').eq(1).css({'top':'-70px'});
	       	//if(dFirstConfig=='1'){
	    		setRcmMsg(rcmDiscoverObj,[$('#gxhTasteDiscovery p').eq(2),$('#gxhTasteDiscovery .defimg').eq(2)],1);
	    		setRcmMsg(rcmDiscoverObj,[$('#gxhTasteDiscovery p').eq(3),$('#gxhTasteDiscovery .defimg').eq(3)],0);
	    	//}
    	}else{
    		$('#gxhTasteDiscovery').hide();
    	}
    }else{
    	var url = "http://rcm.kuwo.cn/rec.s?cmd=rcm_discover&uid="+uid+"&devid="+kid+"&platform=pc&pn=0"+"&rn=20&t="+Math.random();
    	var testurl='http://rcm.kuwo.cn/rec.s?cmd=rcm_discover&uid=171368251&devid=43513807&platform=pc&pn=0&rn=20&t'+Math.random();
	    $.ajax({
	        url:url,
			dataType:"text",
			type:"get",
			crossDomain:false,
			success:function(rcmdata){
				saveDataToCache(date+"discoverCache"+uid+kid,rcmdata,3600);
			    var rcmObj = eval('('+rcmdata+')');
			    //saveDataToCache("cacheName",obj2Str(rcmObj));
			    if(typeof(rcmObj)=="object"&&rcmObj.length>0){
			        rcmDiscoverObj = rcmObj;
			        oldData=copyArr(rcmDiscoverObj);
			       	//重新排序数据
		    		rcmDiscoverObj=newMsgSort(rcmDiscoverObj);
		    		//交互第一个数据和第二个数据
		    		var rcmDiscoverData=copyArr(rcmDiscoverObj);
		    		var a=rcmDiscoverData[0];
		    		rcmDiscoverData[0]=rcmDiscoverData[1];
		    		rcmDiscoverData[1]=a;
		    		//存储对应图片
		    		rcmDataJson.DiscoverImg=rcmDiscoverData[0].pic;
		    		//数据数组排序
		    		rcmDiscoverData=arrConcat(rcmDiscoverData,oldData);
		    		//播歌字符串
		    		rcmDiscoverMusicString=rcmPlaystring(rcmDiscoverData,'首页->为你推荐->发现好歌');
			       	// 返回原位
			       	$('#gxhTasteDiscovery .gxh_titleMoveBox').eq(1).css({'top':'-14px'});
	       			$('#gxhTasteDiscovery .gxh_imgMoveBox').eq(1).css({'top':'-70px'});
			       	//歌曲名展示 歌手图片展示
			       	//if(dFirstConfig=='1'){
			    		setRcmMsg(rcmDiscoverObj,[$('#gxhTasteDiscovery p').eq(2),$('#gxhTasteDiscovery .defimg').eq(2)],1);
			    		setRcmMsg(rcmDiscoverObj,[$('#gxhTasteDiscovery p').eq(3),$('#gxhTasteDiscovery .defimg').eq(3)],0);
			    	//}
			       	//存储登录信息
			       	setDataToConfig("optionPre","discoverFirstLogin","1");
			       	//个性化日志发送
			       	realTimeLog("ABLOG","TYPE:RCMLOGIN|RCMDATA:1");
			       	rcmDataJson.dataOk2=true;
			    }else{
			    	realTimeLog("ABLOG","TYPE:RCMLOGIN|RCMDATA:0");
			    	$('#gxhTasteDiscovery').hide();
			    }
			},
			error:function(){
			}
	    });
    }
}

//个性化入口点击日志 
$('.gxhlink').live('click',function(){
	var keyword=''+this['onclick'];
	if(keyword.indexOf('私人口味集')>-1){
		realTimeLog("ABLOG","TYPE:P_ENTRANCECLICK");
	}else if(keyword.indexOf('发现好歌')>-1){
		realTimeLog("ABLOG","TYPE:D_ENTRANCECLICK");
	}
});

$('.gxh_title').live('click',function(){
	var keyword=$(this).parents('.gxhBox').find('.gxhlink').attr('onclick');
	if(keyword.indexOf('私人口味集')>-1){
		realTimeLog("ABLOG","TYPE:P_ENTRANCECLICK");
	}else if(keyword.indexOf('发现好歌')>-1){
		realTimeLog("ABLOG","TYPE:D_ENTRANCECLICK");
	}
});

//个性化入口全部播放按钮日志
$('.gxh_play').live('click',function(){
	if($(this).prev().attr('title').indexOf('私人口味')>-1){
		realTimeLog("ABLOG","TYPE:P_AllPlAY");
	}else if($(this).prev().attr('title').indexOf('发现好歌')>-1){
		realTimeLog("ABLOG","TYPE:D_AllPlAY");
	}
});
var RcmPlaylistObj=[];
function getRcmPlaylistData(){
	var uid = getUserID("uid");
    var kid = getUserID("devid");
	var url='http://rcm.kuwo.cn/rec.s?cmd=rcmpl_hybird&uid='+uid+'&devid='+kid+'&platform=pc&t='+Math.random();
	//var url='http://60.28.195.115/rec.s?cmd=rcmpl_hybird&uid='+uid+'&devid='+kid+'&platform=pc&t='+Math.random();
	//var url_other='http://rcm.kuwo.cn/rec.s?cmd=getpage&uid=141050697&devid=34048623&platform=pc';
	//var url_other='http://60.28.195.115/rec.s?cmd=rcmpl_hybird&uid=141050697&devid=34048623&platform=pc';
	var url_other='http://rcm.kuwo.cn/rec.s?cmd=rcmpl_hybird&uid=141050697&devid=34048623&platform=pc';
	if(window.navigator.userAgent.toLowerCase().indexOf('ie')>-1){
		url=url;
	}else{
		url=url_other;
	}
	$.ajax({
        url:url,
		dataType:"text",
		type:"get",
		crossDomain:false,
		success:function(arr){
		 	var playlistObj = eval('('+arr+')');
		 	if(typeof(playlistObj)=="object" && playlistObj!=null && playlistObj.length>0){
		 		RcmPlaylistObj=playlistObj;
		 		RcmPlaylistObj.shift();
		 		RcmPlaylistObj.shift();
		 		if(RcmPlaylistObj.length%2!=0 && RcmPlaylistObj.length>2){
		 			RcmPlaylistObj.pop();
		 		}
		 	}
		},
		error:function(){	
			loadErrorPage();
		}
});
}

var getCacheData = false;
// 进入首页方法 flag noback 不需要记录操作
function tuijian(nodeobj,flag){
    selectIndex();
    loadRadioStatus();
    if(flag==="noback"){
        nodeobj.back = flag;
        saveAction(nodeobj); 
    }else{
        if(!nodeobj){
            nodeobj = {"source":"0"};
        }
        saveAction(nodeobj); 
    }
	gopage(2);
	if(!isRefresh&&$("#w_focus img").size()>1){
	    $("#content").show();
	    iframeObj.refresh();
	    if(nodeobj.noback){
            setTimeout(function(){
                $(".allcontent").scrollTop(currentIndexTop);
            },1);
        }
        //去掉猜你喜欢模块
	    //reloadYouLike();
	    try{
	        if(QKOBJ&&QKOBJ.loadindexad&&QKOBJ.loadindexad==1&&!loadADExtra){
	            loadADExtra = true;  
	            setTimeout(function(){
	                loadIndexAD(true);
	            },5000);         
	        }
	    }catch(e){}
	    return;
	}
	if(!indexisload){
	    setTimeout(function(){
	        indexisload = true;
	    },5000);
	    //去掉猜你喜欢模块
	    //reloadYouLike();
	    return;
	}
	centerLoadingStart("index");
	getRcmData();
	loadGXHRadio();
	getRcmPlaylistData();

	if(isRefresh){
		var someurl = index_url_ie + "?newtime="+Math.random();
		var indexstarttime = new Date().getTime();
		indexnewstarttime = indexstarttime;
		$.ajax({
			url:someurl,
			dataType:"text",
			type:"get",
			crossDomain:false,
			success:function(ssdata){
				if(ssdata.indexOf("var indexjsondata")<0){
					var datacache = getDataByCache("INDEXDATA");
					if(datacache.indexOf("jdtlist")<0){
						if($("#w_focus a").size()>0){
							//去掉猜你喜欢模块
						    //reloadYouLike();
							return;
						}
					}else{
					    try{
					        var indexendtime = new Date().getTime() - indexstarttime;
						    indexjsondatamore = $.parseJSON(datacache);
						    handleIndex(indexjsondatamore);
						    realTimeLog("WEBLOG","url_time:"+indexendtime+";shouye;"+someurl);
						    realShowTimeLog(someurl,1,indexendtime,0,0);
						    return;
					    }catch(e){
					        realTimeLog("WEBLOG","get index data error1:"+e.message);
					        $.getScript(index_url_other+"?newtime="+Math.random());
					    }
					}
					loadErrorPage();
					return;
				}
				try{
					var indexendtime = new Date().getTime() - indexstarttime;
					eval(ssdata);
					indexjsondatamore = indexjsondata;
					var count=0;//数据计数器
					var Radiotimer=setInterval(function(){
						count++;
						if(gxhRadioObj.length>0&&RcmPlaylistObj.length>0){
							handleIndex(indexjsondata);
							clearInterval(Radiotimer);
						}
						if(count==10){//5秒后读取默认数据
							handleIndex(indexjsondata);
							clearInterval(Radiotimer);
						}
					}, 500);
					//handleIndex(indexjsondata);
					realTimeLog("WEBLOG","url_time:"+indexendtime+";shouye;"+someurl);
					realShowTimeLog(someurl,1,indexendtime,0,0);
				}catch(e){
				    realTimeLog("WEBLOG","get index data error2:"+e.message);
					$.getScript(index_url_other+"?newtime="+Math.random());
				}
				$('.allShadowBox').hide();
				setTimeout(function(){
		       		$('#gxhTasteDiscovery .gxh_titleMoveBox').animate({'top':'0'});
		       		$('#gxhTasteDiscovery .gxh_imgMoveBox').animate({'top':'0'});
		       	},1500);
			},
			error:function(xhr){
				execOK = true;
				var datacache = getDataByCache("INDEXDATA");
				if(datacache.indexOf("jdtlist")<0){
					if($("#w_focus a").size()>0){
					    centerLoadingEnd("index");
					    //去掉猜你喜欢模块
					    //reloadYouLike();
						return;
					}
				}else{
				    try{
				        handleIndex($.parseJSON(datacache));
					    return;
				    }catch(e){
				        realTimeLog("WEBLOG","get index data error3:"+e.message);
					    $.getScript(index_url_other+"?newtime="+Math.random());
				    }
				}
				if(someurl.indexOf(index_host)>-1){
			        indexDomainChange();
			        return;
			    }
				loadErrorPage();
				var httpstatus = xhr.status;
				if(typeof(httpstatus)=="undefined"){
					httpstatus = "-1";
				}
				var sta = httpstatus.toString();
				realTimeLog("WEBLOG","url_error:"+sta+";shouye;"+someurl);
				realShowTimeLog(someurl,0,(new Date().getTime()-indexstarttime),sta,0);
				return;
			}
		});
	}else{
	    if(isIE){
			    var getcachetime = new Date().getTime();
			    var indexdatacache = getDataByCache("INDEXDATA");
			    if(indexdatacache==""){
			        indexdatacache = '{"blocklist":[{"name":"热门电台","list":[{"source":9,"extend":"|MUSIC_COUNT\u003d0|","name":"酷我最热单曲","sourceid":"-6001,酷我热歌电台,/201203/1331101086029.jpg,/201203/1331100802547.jpg,2008-08-08,2012-12-12,4,0~24,17372,4,1","pic":"http://img3.kwcdn.kuwo.cn/star/upload/0/0/1416904410496_.jpg","isnew":0,"disname":"酷我最热单曲","newcount":"0","info":"15.74万人在听","nodeid":5410},{"source":9,"extend":"|MUSIC_COUNT\u003d0|","name":"经典怀旧","sourceid":"-4459,经典怀旧电台,/201203/1331021476994.jpg,/201203/1331024088189.jpg,2012-05-11,2011-11-16,4,0~24,1299,4,1","pic":"http://img4.kwcdn.kuwo.cn/star/upload/2/2/1416904426786_.jpg","isnew":0,"disname":"经典怀旧","newcount":"0","info":"4.89万人在听","nodeid":7054},{"source":9,"extend":"|MUSIC_COUNT\u003d0|","name":"一人一首成名曲","sourceid":"-4996,一人一首成名曲电台,/201203/1331014928201.jpg,/201203/1331014947357.jpg,2012-11-14,2012-10-14,4,0~24,7144,4,1","pic":"http://img3.kwcdn.kuwo.cn/star/upload/7/7/1419304843335_.jpg","isnew":0,"disname":"一人一首成名曲","newcount":"0","info":"12.46万人在听","nodeid":17021},{"source":9,"extend":"|MUSIC_COUNT\u003d0|","name":"好歌荟萃FM","sourceid":"-20483,好歌荟萃电台,/201311/1383293632672.jpg,/201311/1383293647835.jpg,2008-08-08,2013-10-30,4,0~24,3750,4,1","pic":"http://img2.kwcdn.kuwo.cn/star/upload/6/6/1417060332294_.jpg","isnew":0,"disname":"好歌荟萃FM","newcount":"0","info":"2.49万人在听","nodeid":87371},{"source":9,"extend":"|MUSIC_COUNT\u003d0|","name":"史上最伤感情歌","sourceid":"-6003,伤感电台,/201203/1331101145819.jpg,/201203/1331100823968.jpg,2008-08-08,2013-01-25,4,0~24,3278,4,1","pic":"http://img1.kwcdn.kuwo.cn/star/upload/11/11/1417426463243_.jpg","isnew":0,"disname":"史上最伤感情歌","newcount":"0","info":"4.67万人在听","nodeid":24067},{"source":9,"extend":"|MUSIC_COUNT\u003d0|","name":"我是歌手第三季","sourceid":"-25468,我是歌手第三季电台,/201501/1422239406868.jpg,/201501/1422239418559.jpg,2008-08-08,2015-01-24,4,0~24,200,4,1","pic":"http://img1.kwcdn.kuwo.cn/star/upload/7/7/1422248776103_.jpg","isnew":1,"disname":"我是歌手第三季","newcount":"0","info":"3.66万人在听","nodeid":87964},{"source":9,"extend":"|MUSIC_COUNT\u003d0|","name":"酷我新歌FM","sourceid":"-6007,酷我新歌电台,/201203/1331101283313.jpg,/201203/1331100892536.jpg,2012-07-13,2012-11-06,4,0~24,2138,4,1","pic":"http://img2.kwcdn.kuwo.cn/star/upload/12/12/1416904502556_.jpg","isnew":0,"disname":"酷我新歌FM","newcount":"0","info":"2.52万人在听","nodeid":7026},{"source":9,"extend":"|MUSIC_COUNT\u003d0|","name":"80后","sourceid":"-4953,80后电台,/201202/1329894978685.jpg,/201202/1329894962918.jpg,2012-05-08,2013-01-25,4,0~24,5322,4,1","pic":"http://img2.kwcdn.kuwo.cn/star/upload/5/5/1416904467109_.jpg","isnew":0,"disname":"80后","newcount":"0","info":"2.79万人在听","nodeid":7071},{"source":9,"extend":"|MUSIC_COUNT\u003d0|","name":"劲爆DJ","sourceid":"-25445,劲爆DJ电台,/201501/1421894707832.jpg,/201501/1421894747561.jpg,2008-08-08,2015-01-28,4,0~24,3415,4,1","pic":"http://img1.kwcdn.kuwo.cn/star/upload/5/5/1423046716837_.jpg","isnew":1,"disname":"劲爆DJ","newcount":"0","info":"3.18万人在听","nodeid":86148},{"source":9,"extend":"|MUSIC_COUNT\u003d0|","name":"超级好听英文歌","sourceid":"-18892,超级好听的英文歌电台,/201304/1366342834467.jpg,/201304/1366342869574.jpg,2008-08-08,2013-04-09,4,0~24,3659,4,1","pic":"http://img2.kwcdn.kuwo.cn/star/upload/8/8/1416904688984_.jpg","isnew":0,"disname":"超级好听英文歌","newcount":"0","info":"4.58万人在听","nodeid":22790}],"type":"diantai"},{"name":"新歌速递","list":[{"source":8,"extend":"|MUSIC_COUNT\u003d5|LONGPIC\u003dhttp://img4.kwcdn.kuwo.cn/star/upload/10/10/1427107397978_.jpg|","name":"每日最新单曲","sourceid":"428518705","pic":"http://img1.kwcdn.kuwo.cn/star/userpl2013/63/59/1427107308834_52816163_120.jpg","isnew":0,"disname":"每日最新单曲","newcount":"0","info":"200首歌曲","nodeid":0},{"source":8,"extend":"|MUSIC_COUNT\u003d0|","name":"酷我热门单曲","sourceid":"428518707","pic":"http://img2.kwcdn.kuwo.cn/star/upload/3/3/1419215842051_.jpg","isnew":0,"disname":"酷我热门单曲","newcount":"0","info":"198首歌曲","nodeid":0},{"source":8,"extend":"|MUSIC_COUNT\u003d3|","name":"每日最新网络单曲","sourceid":"428518711","pic":"http://img2.kwcdn.kuwo.cn/star/userpl2013/63/59/1425534099944_52816163_120.jpg","isnew":0,"disname":"每日最新网络单曲","newcount":"0","info":"312首歌曲","nodeid":0},{"source":8,"extend":"|MUSIC_COUNT\u003d3|","name":"每日最新DJ舞曲","sourceid":"674391828","pic":"http://img1.kwcdn.kuwo.cn/star/upload/5/5/1427079899173_.jpg","isnew":0,"disname":"每日最新DJ舞曲","newcount":"0","info":"327首歌曲","nodeid":0},{"source":8,"extend":"|MUSIC_COUNT\u003d0|","name":"每日最新伤感情歌","sourceid":"1022832513","pic":"http://img2.kwcdn.kuwo.cn/star/userpl2013/72/86/1420537255381_112703072_120.jpg","isnew":0,"disname":"每日最新伤感情歌","newcount":"0","info":"124首歌曲","nodeid":0},{"source":8,"extend":"|MUSIC_COUNT\u003d2|","name":"每日最新欧美单曲","sourceid":"967514363","pic":"http://img1.kwcdn.kuwo.cn/star/upload/14/14/1425955972270_.jpg","isnew":0,"disname":"每日最新欧美单曲","newcount":"0","info":"301首歌曲","nodeid":0},{"source":8,"extend":"|MUSIC_COUNT\u003d1|","name":"每日最新日韩单曲","sourceid":"673955055","pic":"http://img4.kwcdn.kuwo.cn/star/upload/14/14/1425955956254_.jpg","isnew":0,"disname":"每日最新日韩单曲","newcount":"0","info":"309首歌曲","nodeid":0},{"source":8,"extend":"|MUSIC_COUNT\u003d3|","name":"每日最新影视单曲","sourceid":"672716610","pic":"http://img2.kwcdn.kuwo.cn/star/upload/15/15/1427079909407_.jpg","isnew":0,"disname":"每日最新影视单曲","newcount":"0","info":"355首歌曲","nodeid":0},{"source":8,"extend":"|MUSIC_COUNT\u003d0|","name":"每日最新铃声","sourceid":"999104041","pic":"http://img3.kwcdn.kuwo.cn/star/userpl2013/75/23/1417508136806_108865175_100.jpg","isnew":0,"disname":"每日最新铃声","newcount":"0","info":"337首歌曲","nodeid":0},{"source":8,"extend":"|MUSIC_COUNT\u003d3|","name":"我是歌手第三季持续更新","sourceid":"1027555625","pic":"http://img1.kwcdn.kuwo.cn/star/userpl2013/10/13/1421128092265_132026710_100.jpg","isnew":0,"disname":"我是歌手第三季持续更新","newcount":"0","info":"92首歌曲","nodeid":0},{"source":8,"extend":"|MUSIC_COUNT\u003d0|","name":"每日最新韩剧原声","sourceid":"674114866","pic":"http://img3.kwcdn.kuwo.cn/star/userpl2013/51/89/1421896201207_61690751_100.jpg","isnew":0,"disname":"每日最新韩剧原声","newcount":"0","info":"325首歌曲","nodeid":0},{"source":8,"extend":"|MUSIC_COUNT\u003d3|","name":"每日最新90后歌曲","sourceid":"674374932","pic":"http://img3.kwcdn.kuwo.cn/star/upload/10/10/1426475944730_.jpg","isnew":0,"disname":"每日最新90后歌曲","newcount":"0","info":"351首歌曲","nodeid":0},{"source":8,"extend":"|MUSIC_COUNT\u003d0|","name":"每日最新小清新歌曲","sourceid":"428586382","pic":"http://img3.kwcdn.kuwo.cn/star/upload/7/7/1418095998759_.jpg","isnew":0,"disname":"每日最新小清新歌曲","newcount":"0","info":"135首歌曲","nodeid":0},{"source":8,"extend":"|MUSIC_COUNT\u003d0|","name":"每日最新草原歌曲","sourceid":"674374936","pic":"http://img3.kwcdn.kuwo.cn/star/userpl2013/10/13/1415243844801_132026710_100.jpg","isnew":0,"disname":"每日最新草原歌曲","newcount":"0","info":"151首歌曲","nodeid":0},{"source":8,"extend":"|MUSIC_COUNT\u003d0|","name":"每日最新英文DJ舞曲","sourceid":"482496604","pic":"http://img1.kwcdn.kuwo.cn/star/userpl2013/63/59/1399264012972_52816163_100.jpg","isnew":0,"disname":"每日最新英文DJ舞曲","newcount":"0","info":"239首歌曲","nodeid":0}],"type":"newsong"},{"name":"热门分类","list":[{"source":5,"extend":"|MUSIC_COUNT\u003d0|","name":"网络","sourceid":"88078","pic":"","isnew":0,"disname":"网络","newcount":"0","info":"226个列表","nodeid":88078},{"source":5,"extend":"|MUSIC_COUNT\u003d0|COLOR\u003d#ff9900|","name":"DJ","sourceid":"88079","pic":"","isnew":0,"disname":"DJ","newcount":"0","info":"175个列表","nodeid":88079},{"source":5,"extend":"|MUSIC_COUNT\u003d0|","name":"经典","sourceid":"88081","pic":"","isnew":0,"disname":"经典","newcount":"0","info":"801个列表","nodeid":88081},{"source":5,"extend":"|MUSIC_COUNT\u003d0|COLOR\u003d#ff9900|","name":"影视","sourceid":"88091","pic":"","isnew":0,"disname":"影视","newcount":"0","info":"344个列表","nodeid":88091},{"source":5,"extend":"|MUSIC_COUNT\u003d0|","name":"铃声","sourceid":"88080","pic":"","isnew":0,"disname":"铃声","newcount":"0","info":"73个列表","nodeid":88080},{"source":5,"extend":"|MUSIC_COUNT\u003d0|","name":"儿歌","sourceid":"88087","pic":"","isnew":0,"disname":"儿歌","newcount":"0","info":"112个列表","nodeid":88087},{"source":5,"extend":"|MUSIC_COUNT\u003d0|","name":"轻音乐","sourceid":"88085","pic":"","isnew":0,"disname":"轻音乐","newcount":"0","info":"259个列表","nodeid":88085},{"source":5,"extend":"|MUSIC_COUNT\u003d0|","name":"80后","sourceid":"88083","pic":"","isnew":0,"disname":"80后","newcount":"0","info":"96个列表","nodeid":88083},{"source":5,"extend":"|MUSIC_COUNT\u003d0|","name":"90后","sourceid":"88084","pic":"","isnew":0,"disname":"90后","newcount":"0","info":"73个列表","nodeid":88084},{"source":5,"extend":"|MUSIC_COUNT\u003d0|","name":"中国风","sourceid":"88089","pic":"","isnew":0,"disname":"中国风","newcount":"0","info":"83个列表","nodeid":88089}],"type":"tag"},{"name":"最新MV","list":[{"source":7,"extend":"|MUSIC_COUNT\u003d0|","name":"强劲帅气摇滚精神","sourceid":"Pray;F.T%20Island;I%20Will;3260177697;2376583938;MUSIC_6361121;;;;3882774745;2924040090;MV_350947;0","pic":"http://img3.kwcdn.kuwo.cn/wmvpic/140/5/48/3749653710.jpg","isnew":0,"disname":"强劲帅气摇滚精神","newcount":"0","info":"F.T Island-Pray","nodeid":0},{"source":7,"extend":"|MUSIC_COUNT\u003d0|","name":"姣好身材俏皮起舞","sourceid":"Wifey;N.S%E5%85%81%E6%99%BA%26MC%E6%A2%A6;Sincerely%2C;4174471022;3532159001;MUSIC_6359103;;;;2863143959;3853407898;MV_350761;0","pic":"http://img1.kwcdn.kuwo.cn/star/upload/14/14/1427078412718_.jpg","isnew":0,"disname":"姣好身材俏皮起舞","newcount":"0","info":"N.S允智\u0026MC梦-Wifey","nodeid":0},{"source":7,"extend":"|MUSIC_COUNT\u003d0|","name":"霸道总裁的温柔心","sourceid":"%E6%97%B6%E8%BF%87%E5%A2%83%E8%BF%81%28%E7%94%B5%E8%A7%86%E5%89%A7%E3%80%8A%E9%94%A6%E7%BB%A3%E7%BC%98%C2%B7%E5%8D%8E%E4%B8%BD%E5%86%92%E9%99%A9%E3%80%8B%E7%89%87%E5%B0%BE%E6%9B%B2%29;%E6%B2%88%E4%BE%9D%E8%8E%8E;%E9%94%A6%E7%BB%A3%E7%BC%98%C2%B7%E5%8D%8E%E4%B8%BD%E5%86%92%E9%99%A9%20%E7%94%B5%E8%A7%86%E5%8E%9F%E5%A3%B0%E5%B8%A6;799908920;440149469;MUSIC_6340459;;;;3668008478;3245796907;MV_350452;0","pic":"http://img1.kwcdn.kuwo.cn/wmvpic/140/66/84/277673353.jpg","isnew":0,"disname":"霸道总裁的温柔心","newcount":"0","info":"沈依莎-时过境迁(电视剧《锦绣缘·华丽冒险》片尾曲)","nodeid":0},{"source":7,"extend":"|MUSIC_COUNT\u003d0|","name":"梦境冰岛狂飙吉他","sourceid":"%E4%BD%A0%E6%98%AF%E6%88%91%E7%9A%84%E6%98%9F%E7%90%83%28You%20Are%20My%20Jupiter%20%2F%20%E5%85%AB%E5%A4%A7%E6%88%8F%E5%89%A7%E5%8F%B0%E3%80%8A%E6%9C%AA%E7%94%9F%E3%80%8B%E7%89%87%E5%B0%BE%E6%9B%B2%29;%E5%90%B4%E5%85%8B%E7%BE%A4;%E4%BD%A0%E6%98%AF%E6%88%91%E7%9A%84%E6%98%9F%E7%90%83;624923749;2080777226;MUSIC_6354946;;;;244682881;3872825124;MV_350594;0","pic":"http://img4.kwcdn.kuwo.cn/star/upload/2/2/1426833392898_.jpg","isnew":0,"disname":"梦境冰岛狂飙吉他","newcount":"0","info":"吴克群-你是我的星球(You Are My Jupiter / 八大戏剧台《未生》片尾曲)","nodeid":0}],"type":"mv"},{"name":"最新专辑","list":[{"source":13,"extend":"|MUSIC_COUNT\u003d0|","name":"第一人称三部曲 限量EP","sourceid":"446842","pic":"http://img4.kwcdn.kuwo.cn/star/albumcover/100/25/62/733178682.jpg","isnew":0,"disname":"第一人称三部曲 限量EP","newcount":"0","info":"Hush[男]","nodeid":0},{"source":13,"extend":"|MUSIC_COUNT\u003d0|","name":"艳羡","sourceid":"431929","pic":"http://img3.kwcdn.kuwo.cn/star/albumcover/100/82/20/44759178.jpg","isnew":0,"disname":"艳羡","newcount":"0","info":"吴雨霏","nodeid":0},{"source":13,"extend":"|MUSIC_COUNT\u003d0|","name":"完美世界","sourceid":"444652","pic":"http://img1.kwcdn.kuwo.cn/star/albumcover/100/16/38/1186628582.jpg","isnew":0,"disname":"完美世界","newcount":"0","info":"金玟岐","nodeid":0},{"source":13,"extend":"|MUSIC_COUNT\u003d0|","name":"Bangerz Tour","sourceid":"446974","pic":"http://img4.kwcdn.kuwo.cn/star/albumcover/100/75/65/1009140082.jpg","isnew":0,"disname":"Bangerz Tour","newcount":"0","info":"Miley Cyrus","nodeid":0},{"source":13,"extend":"|MUSIC_COUNT\u003d0|","name":"宠爱","sourceid":"446846","pic":"http://img1.kwcdn.kuwo.cn/star/albumcover/100/46/42/3396074224.jpg","isnew":0,"disname":"宠爱","newcount":"0","info":"TFBOYS","nodeid":0}],"type":"album"}],"ver":"1427191203674","huodonglist":{"linkUrl":"http://huodong.kuwo.cn/","name":"精彩活动","list":[{"id":"0","source":"17","name":"魏晨做客酷我","sourceid":"http://g.koowo.com/g.real?aid\u003dtext_ad_2513\u0026url\u003dhttp://huodong.kuwo.cn/huodong/szyy/fthd/index1.jsp?id\u003d404611","pic":"http://img2.kwcdn.kuwo.cn/star/upload/11/11/1426215317195_.jpg"},{"id":"0","source":"17","name":"万芳北京演唱会","sourceid":"http://weibo.com/1738434147/C9hEIEEFu?from\u003dpage_1006061738434147_profile\u0026wvr\u003d6\u0026mod\u003dweibotime ","pic":"http://img2.kwcdn.kuwo.cn/star/upload/3/3/1426834513875_.jpg"},{"id":"0","source":"17","name":"电影王牌特工","sourceid":"http://huodong.kuwo.cn/huodong/st/newactpage?actId\u003d282","pic":"http://img2.kwcdn.kuwo.cn/star/upload/15/15/1426646975231_.jpg"},{"id":"0","source":"17","name":"Jason Mraz巡演","sourceid":"http://weibo.com/1738434147/C8OcS12MR?ref\u003d\u0026type\u003dcomment#_rnd1426480093703 ","pic":"http://img3.kwcdn.kuwo.cn/star/upload/13/13/1426649121757_.jpg"},{"id":"0","source":"17","name":"2015酷音乐盛典","sourceid":"http://2015.kuwo.cn/","pic":"http://img4.kwcdn.kuwo.cn/star/upload/1/1/1426743856817_.jpg"}],"type":"huodong"},"jdtlist":[{"source":21,"extend":"|MUSIC_COUNT\u003d0|","name":"【高音控】震撼听觉的铁肺高音","sourceid":"http://album.kuwo.cn/album/h/mbox?id\u003d1487","pic":"http://img1.kwcdn.kuwo.cn/star/upload/11/11/1427115481979_.jpg","isnew":0,"disname":"【高音控】震撼听觉的铁肺高音","newcount":"0","info":"","nodeid":0},{"source":17,"extend":"|MUSIC_COUNT\u003d0|","name":"酷音乐亚洲盛典","sourceid":"http://2015.kuwo.cn","pic":"http://img4.kwcdn.kuwo.cn/star/upload/8/8/1426840127976_.jpg","isnew":0,"disname":"酷音乐亚洲盛典","newcount":"0","info":"","nodeid":0},{"source":21,"extend":"|MUSIC_COUNT\u003d0|","name":"酷我音乐调频","sourceid":"http://album.kuwo.cn/album/h/mbox?id\u003d911","pic":"http://img4.kwcdn.kuwo.cn/star/upload/14/14/1426839669966_.jpg","isnew":0,"disname":"酷我音乐调频","newcount":"0","info":"","nodeid":0},{"source":21,"extend":"|MUSIC_COUNT\u003d0|","name":"偏执狂音乐相对论VOL.51 方言歌曲棒棒哒！","sourceid":"http://album.kuwo.cn/album/h/mbox?id\u003d1490","pic":"http://img4.kwcdn.kuwo.cn/star/upload/14/14/1427013343566_.jpg","isnew":0,"disname":"偏执狂音乐相对论VOL.51 方言歌曲棒棒哒！","newcount":"0","info":"","nodeid":0},{"source":21,"extend":"|MUSIC_COUNT\u003d0|","name":"史上最经典的100首儿歌","sourceid":"http://album.kuwo.cn/album/h/mbox?id\u003d1496","pic":"http://img3.kwcdn.kuwo.cn/star/upload/10/10/1426938827162_.jpg","isnew":0,"disname":"史上最经典的100首儿歌","newcount":"0","info":"","nodeid":0},{"source":17,"extend":"|MUSIC_COUNT\u003d0|","name":"酷我真声音 点击看现场","sourceid":"http://x.kuwo.cn/KuwoLive/OpenLiveRoomLinkForKw?from\u003d1001003001","pic":"http://img4.kwcdn.kuwo.cn/star/upload/13/13/1426594539070_.jpg","isnew":0,"disname":"酷我真声音 点击看现场","newcount":"0","info":"","nodeid":0},{"source":21,"extend":"|MUSIC_COUNT\u003d0|","name":"《我是歌手》第三季 多版本","sourceid":"http://album.kuwo.cn/album/h/mbox?id\u003d1373","pic":"http://img4.kwcdn.kuwo.cn/star/upload/3/3/1426868815987_.jpg","isnew":0,"disname":"《我是歌手》第三季 多版本","newcount":"0","info":"","nodeid":0},{"source":11,"extend":"|MUSIC_COUNT\u003d0|","name":"龙破九天","sourceid":"http://g.koowo.com/g.real?aid\u003dtext_ad_1269\u0026ver\u003d\u0026url\u003dhttp://game.kuwo.cn/g/st/newdl?dlid\u003dglpjt5\u0026gameid\u003d186\u0026serverid\u003d999\u0026s\u003d2\u0026at\u003d888\u0026ap\u003d998","pic":"http://img2.kwcdn.kuwo.cn/star/upload/6/6/1427101227126_.jpg","isnew":0,"disname":"龙破九天","newcount":"0","info":"","nodeid":0},{"source":21,"extend":"|MUSIC_COUNT\u003d0|","name":"藏匿在动画电影里的好听英文歌","sourceid":"http://album.kuwo.cn/album/h/mbox?id\u003d1484","pic":"http://img1.kwcdn.kuwo.cn/star/upload/15/15/1426516312719_.jpg","isnew":0,"disname":"藏匿在动画电影里的好听英文歌","newcount":"0","info":"","nodeid":0},{"source":21,"extend":"|MUSIC_COUNT\u003d0|","name":"史上最好听的100首情歌","sourceid":"http://album.kuwo.cn/album/h/mbox?id\u003d1380","pic":"http://img4.kwcdn.kuwo.cn/star/upload/3/3/1426339354435_.jpg","isnew":0,"disname":"史上最好听的100首情歌","newcount":"0","info":"","nodeid":0},{"source":17,"extend":"|MUSIC_COUNT\u003d0|","name":"酷我明星访谈第十七期","sourceid":"http://g.koowo.com/g.real?aid\u003dtext_ad_2514\u0026url\u003dhttp://huodong.kuwo.cn/huodong/szyy/fthd/index1.jsp?id\u003d404611","pic":"http://img2.kwcdn.kuwo.cn/star/upload/15/15/1427115852175_.jpg","isnew":0,"disname":"酷我明星访谈第十七期","newcount":"0","info":"","nodeid":0}]}';
			    }
			    if(indexdatacache==""){
				    var someurl = index_url_ie+"?newtime="+Math.random();
				    var indexstarttime2 = new Date().getTime();
				    indexnewstarttime = indexstarttime2;
				    $.ajax({
					    url:someurl,
					    type:"get",
						dataType:"text",
						crossDomain:false,
					    success:function(ssdata){
						    if(ssdata.indexOf("var indexjsondata")<0){
						        loadErrorPage();
							    return;
						    }
						    try{
						        var indexendtime2 = new Date().getTime() - indexstarttime2;
							    eval(ssdata);
							    indexjsondatamore = indexjsondata;
						    var count=0;
						    var Radiotimer=setInterval(function(){
						    	count++;
								if(gxhRadioObj.length>0&&RcmPlaylistObj.length>0){
							    handleIndex(indexjsondata);
									clearInterval(Radiotimer);
								}
								if(count==10){//5秒后读取默认数据
									handleIndex(indexjsondata);
									clearInterval(Radiotimer);
								}
							}, 500);
							//handleIndex(indexjsondata);
						    realTimeLog("WEBLOG","url_time:"+indexendtime2+";shouye;"+someurl);
						    realShowTimeLog(someurl,1,indexendtime2,0,0);
					    }catch(e){
					        realTimeLog("WEBLOG","get index data error4:"+e.message);
						    $.getScript(index_url_other+"?newtime="+Math.random());
					    }
				    },
				    error:function(xhr){
					    var httpstatus = xhr.status;
					    if(typeof(httpstatus)=="undefined"){
						    httpstatus = "-1";
					    }
					    var sta = httpstatus.toString();
					    if(someurl.indexOf(index_host)>-1){
					        indexDomainChange();
					        return;
					    }
					    loadErrorPage();
					    realTimeLog("WEBLOG","url_error:"+sta+";shouye;"+someurl);
					    realShowTimeLog(someurl,0,(new Date().getTime()-indexstarttime2),sta,0);
					    return;
				    }
			    });
			    webLog("indexdatacache no...");
		    }else{
		        var indexstarttime3 = new Date().getTime();
		        indexnewstarttime = indexstarttime3;
			    if(getCacheData){
				    if(indexdatacache.indexOf("jdtlist")<0){
					    if($("#w_focus a").size()>0){
						    return;
					    }
				    }else{
				        try{
				            var cachetime1 = new Date().getTime() - indexstarttime3;
					        handleIndex($.parseJSON(indexdatacache));
					        webLog("indexdata use cache2...");
					        realShowTimeLog(index_url_ie,1,cachetime1,0,1);
					        return;
				        }catch(e){
				            realTimeLog("WEBLOG","get index data error5:"+e.message);
						    $.getScript(index_url_other+"?newtime="+Math.random());
				        }

				    }
				    loadErrorPage();
				    return;
			    }else{
				    indexCurrTime = new Date().getTime();
				    if(indexTimer){
				        clearInterval(indexTimer);
				    }

				    indexTimer = setInterval(function(){
				        if(everUseCache){
				            return;
				        }
					    if(!getCacheData){
						    if(new Date().getTime()-indexCurrTime>1000){
							    clearInterval(indexTimer);
							    var cachetime2 = new Date().getTime() - indexstarttime3;
							    if(indexdatacache.indexOf("jdtlist")<0){
								    if($("#w_focus img").size()>0){
									    return;
								    }
							    }else{
							        try{
							            if(everUseCache){
							                return;
							            }
							            everUseCache = true;
							            var currobj = $.parseJSON(indexdatacache);
								        indexVer = currobj.ver;
								        if(typeof(indexVer)=="undefined"){
									        indexVer = 0;
								        }
								        indexTimerCache = true;
								        handleIndex(currobj);
								        webLog("indexdata first use cache2...");
								        realShowTimeLog(index_url_ie,1,cachetime2,0,1);
								        return;
							        }catch(e){
							            realTimeLog("WEBLOG","get index data error6:"+e.message);
						                $.getScript(index_url_other+"?newtime="+Math.random());
							        }

							    }
							    loadErrorPage();
							    return;
						    }
					    }
				    },100);
				    var someurl = index_url_ie+"?newtime="+Math.random();      
				    $.ajax({
					    url:someurl,
					    type:"get",
						dataType:"text",
						crossDomain:false,
					    success:function(ssdata){
						    getCacheData = true;
						    if(ssdata.indexOf("var indexjsondata")<0){
							    if(indexdatacache.indexOf("jdtlist")<0){
								    if($("#w_focus img").size()>0){
									    return;
								    }
							    }else{
							        try{
							            indexjsondatamore = $.parseJSON(indexdatacache);
										handleIndex(indexjsondatamore);
								        return;
							        }catch(e){
							            realTimeLog("WEBLOG","get index data error7:"+e.message);
						                $.getScript(index_url_other+"?newtime="+Math.random());
							        }

							    }
							    loadErrorPage();
							    return;
						    }
						    try{
						        var indexendtime3 = new Date().getTime() - indexstarttime3;
							    eval(ssdata);
							    if(indexTimerCache&&indexjsondata.ver==indexVer){
								    webLog("无修改，不覆盖...");
								    realShowTimeLog(someurl,1,indexendtime3,0,0);
								    return;
							    }
							    indexjsondatamore = indexjsondata;
							    //等待电台数据返回后拼接首页
							    var count=0;
							    var Radiotimer=setInterval(function(){
							    	count++;
									if(gxhRadioObj.length>0&&RcmPlaylistObj.length>0){
										handleIndex(indexjsondata);
										clearInterval(Radiotimer);
									}
									if(count==10){//5秒后读取默认数据
										handleIndex(indexjsondata);
										clearInterval(Radiotimer);
									}
								}, 500);
							    //handleIndex(indexjsondata);
							    realShowTimeLog(someurl,1,indexendtime3,0,0);
							    webLog("取首页数据完成，所用时间是"+indexendtime3);
						    }catch(e){
							    realTimeLog("WEBLOG","get index data error8:"+e.message);
						        $.getScript(index_url_other+"?newtime="+Math.random());
						    }
					    },
					    error:function(xhr){
						    execOK = true;
						    if(indexdatacache.indexOf("jdtlist")<0){
							    if($("#w_focus img").size()>0){
								    return;
							    }
						    }else{
						        try{
						            if(everUseCache){
						                return;
						            }
						            everUseCache = true;
						            handleIndex($.parseJSON(indexdatacache));
							        return;
						        }catch(e){
						            realTimeLog("WEBLOG","get index data error9:"+e.message);
						            $.getScript(index_url_other+"?newtime="+Math.random());
						        }
						    }
						    if(someurl.indexOf(index_host)>-1){
					            indexDomainChange();
					            return;
					        }
						    loadErrorPage();
						    var httpstatus = xhr.status;
						    if(typeof(httpstatus)=="undefined"){
							    httpstatus = "-1";
						    }
						    var sta = httpstatus.toString();
						    realTimeLog("WEBLOG","url_error:"+sta+";shouye;"+someurl);
						    realShowTimeLog(someurl,0,(new Date().getTime()-indexstarttime3),sta,0);
						    return;
					    }
				    });
			    }
			}
	    }else{
		    $.getScript(index_url_other+"?newtime="+Math.random());
	    }
	}
	$('.allShadowBox').hide();
	setTimeout(function(){
   		$('#gxhTasteDiscovery .gxh_titleMoveBox').animate({'top':'0'});
   		$('#gxhTasteDiscovery .gxh_imgMoveBox').animate({'top':'0'});
   	},1500);
}
// 针对无法访问酷我域名的用户中转一次 访问
var indexnewstarttime;
function indexDomainChange(){
    var someurl = "http://"+hostConfig+"/star/MusicTopToday/js01/topmusic/recIndex2015_gxh_0902.data?newtime="+Math.random()+"&thost=js01.kuwo.cn";
    $.ajax({
	    url:someurl,
	    type:"get",
		dataType:"text",
		crossDomain:false,
	    success:function(ssdata){
		    if(ssdata.indexOf("var indexjsondata")<0){
		        loadErrorPage();
			    return;
		    }
		    try{
			    eval(ssdata);
			    indexjsondatamore = indexjsondata;
			    handleIndex(indexjsondata);
		    }catch(e){
			    $.getScript(someurl.replace("recIndex2015_gxh_0902.data","recIndex2015_gxh_0902.js"));
		    }
	    },
	    error:function(xhr){
		    var httpstatus = xhr.status;
		    if(typeof(httpstatus)=="undefined"){
			    httpstatus = "-1";
		    }
		    var sta = httpstatus.toString();
		    var fx = "http://topmusic.kuwo.cn/today_recommend/mbox2013/config/kuwofx.js?t="+Math.random();
	        $.getScript(fx);
		    loadErrorPage();
			realTimeLog("WEBLOG","url_error:"+sta+";shouye;"+someurl);
			realShowTimeLog(someurl,0,(new Date().getTime()-indexnewstarttime),sta,0);
		    return;
	    }
    });
}
var everUseCache = false;
var indexVer = 0;
var indexTimerCache = false;
var indexTimer;
var indexCurrTime;
var firstLoadAD = true;
var indexisload = true;
// 拼首页方法
function handleIndex(jsondata){
	if (!jsondata.blocklist){
		$("#frame_content")[0].contentWindow.handleIndex(jsondata);
		return;
	}
    try{
    if(typeof(indexjsondatamore)=="undefined"){
        indexjsondatamore = jsondata;
    }
	var data = jsondata;
	if(isRefresh){
	    picrefresh = true;
	}
	indexisload = false;
	if(typeof(data)=="undefined"||data==null||typeof(data.jdtlist)=="undefined"||data.jdtlist.length==0){
		$("#tips").hide();
	}else{
		var notice = data.notice;
		if(typeof(notice)!="undefined"){
		    //notice = notice.replace(/<a href/g,"<a hidefocus class='index_tipsa' href=\"###\" onclick");
			notice = notice.replace(/<a href/g,"<a hidefocus class='index_tipsa' href");
			var noticehash = getDataByCache("noticehash");
			if(parseInt(noticehash,10)==getHashCode(encodeURIComponent(notice))){
				$("#tips").html("");
			}else{
				$("#tips").html(notice+'<a data-notice="'+encodeURIComponent(notice)+'" class="index_close" href="###" onclick="noticeClick(this);return false;" hidefocus></a>');
			}
		}
		$("#indexdata").html("");
		var jdtlist = data.jdtlist;
		var jdtlistsize = jdtlist.length;
		var jdtstring = ""
		var jdtarray = [];
		var focusbtnstring = "";
		var focusbtnarray = [];
		var someObj;
		var source;
		var sourceid;
		var disname;
		var name;
		var titlename;
		var nodeid;
		var childarray;
		var childi;
		var pic;
		var jdti = 0;
		var noti = 0;
		var extend;
		for (var i = 0 ; i < jdtlistsize; i++) {
			someObj = jdtlist[i];
			source = someObj.source;
			sourceid = someObj.sourceid;
			if(source==21&&sourceid.indexOf("?")>-1){
				sourceid = sourceid+"&from=index";
			}
			if(sourceISOK(source)){
				continue;
			}
			extend = someObj.extend;
			disname = someObj.disname;
			disname = checkSpecialChar(disname,"disname");
			titlename = disname;
			titlename = checkSpecialChar(titlename,"titlename");
			name = someObj.name;
			name = checkSpecialChar(name,"name");
			if(source==2){
				source = 1;
			}
			if(source==7){
				sourceid = encodeURIComponent(sourceid);
			}
			nodeid = someObj.nodeid;
			if(nodeid==""){
				nodeid = 0;
			}
			childarray = [];
			childi = 0;
			if(jdti>0){
				focusbtnarray[jdti] = '<a href="###" hidefocus title="'+titlename+'"></a>';	
				childarray[childi++] = '<a data-source="';
			}else{
				focusbtnarray[jdti] = '<a href="###" class="current" hidefocus title="'+titlename+'"></a>';
				childarray[childi++] = '<a class="current" style="z-index:2;" data-source="';
			}	
			childarray[childi++] = source;
			childarray[childi++] = '" data-sourceid="';
			childarray[childi++] = source==21?getValue(sourceid,"id"):sourceid;
			childarray[childi++] = '" data-name="';
			childarray[childi++] = disname;
			childarray[childi++] = '" onclick="';
			var other = "";
			if(source==8||source==12){
			    other = "|psrc=首页->焦点图->|from=index";
			}
			childarray[childi++] = commonClickString(new Node(source,sourceid,name,nodeid,extend,other));
			childarray[childi++] = '" href="###" hidefocus id="jdtpic';
			childarray[childi++] = (jdti+1);
			childarray[childi++] = '" title="';
			childarray[childi++] = titlename;
			childarray[childi++] = '"><span class="focus_splice"></span><img onerror="imgOnError(this,490);" width="390" height="160" id="jdtimg';
			childarray[childi++] = (jdti+1);
			childarray[childi++] = '" src="';
			pic = someObj.pic;
			if(!pic){
			    pic = "";
			}
			if(pic!=""){
				pic = changeImgDomain(pic);
				pic = getImgUrlWithRandom(pic);
			}
			childarray[childi++] = pic;
			childarray[childi++] = '" data-src="';
			childarray[childi++] = pic;
			childarray[childi++] = '" /></a>';
			jdtarray[jdti] = childarray.join('');
			jdti++;
		}
		jdtstring = jdtarray.join('');
		focusbtnstring = focusbtnarray.join('');
		// 曲库首页列表数据
		var blockliststring = "";
		var blocklist = data.blocklist;
		var blocklistsize = blocklist.length;
		var blocklistarray = [];
		var someBlock;
		var blockname;
		var childs;
		var childssize;
		var childsarray;
		var type;
		var name;
		var disname;
		var titlename;
		var indexrightarray = [];
		var radiostring = "";
		var radioarray = [];
		var radiosize = 10;
		var newsongsize = 10;
		var mvsize = 4;
		var albumsize = 5;
    	var someObj = {};
		for(var i = 0; i < blocklistsize;i++){
			someBlock = blocklist[i];
			blockname = someBlock.name;
			someObj.psrc = blockname + '->';
			childs = someBlock.list;
			childssize = childs.length;
			if(childssize<1){
			    webLog("index block size:"+childssize+":"+blockname);
			    realTimeLog("WEBLOG","index block error:"+childssize+":"+blockname);
			}
			childsarray = [];
			type = someBlock.type;
	        if(type=="diantai"){//电台模块head
	            if(childssize>radiosize){
	                childssize = radiosize;
	            }
	            radioarray[radioarray.length] = '<h2><span class="title">';
	            //radioarray[radioarray.length] = blockname;
	            radioarray[radioarray.length] = '精选电台';
	            radioarray[radioarray.length] = '</span><span class="more"><em>/</em><a hidefocus href="###" onclick="$(\'#cat_8\').click();">更多电台</a></span></h2>';
	            radioarray[radioarray.length] = '<div class="index_mod radio"><ul class="kw_radio_list">';
	        }else if(type=="newsong"){//新歌速递模块head
	            newsonglist = childs;
	            if(childssize>newsongsize){
	                childssize = newsongsize;
	                //childssize=RcmPlaylistObj.length || 10;
	            }
	            childsarray[childsarray.length] = '<h2><span class="title">';
	            //childsarray[childsarray.length] = '每日推荐';
	            childsarray[childsarray.length] = blockname;
	            childsarray[childsarray.length] = '</span><span class="datetime"><i></i>';
	            var now = new Date();
	            now = (now.getMonth()+1)+"月"+now.getDate()+"日";
	            childsarray[childsarray.length] = now;
	            var nstotal = 0;
	            nstotal = newsonglist.length/5;
	            nstotal = parseInt(nstotal,10);
	            //childsarray[childsarray.length] = '</span><span class="week"><a hidefocus title="上一个" onclick="newsongChange(\'prev\');" href="###" class="prev"></a><a title="下一个" hidefocus onclick="newsongChange(\'next\');" href="###" class="next"></a><font>1/';
	            //childsarray[childsarray.length] = nstotal;
	            //childsarray[childsarray.length] = '</font></span></h2><div class="index_mod gedan"><ul class="kw_album_list">';	
	            childsarray[childsarray.length] = '</span></h2><div class="index_mod gedan"><ul class="kw_album_list">';
	            //childsarray[childsarray.length] = '<li class="kw_gxhAlbum" style="width:311px; height:120px; background:red; float:left;"></li>';
	            //childsarray[childsarray.length] = '<li class="kw_gxhAlbum" style="width:311px; height:120px; background:green; float:left;"></li>';
	        }else if(type=="rcmplaylist"){
	        	if(childssize>8){
	                childssize = 8;
	            }else{
					childssize=RcmPlaylistObj.length;
	            }
	        	childsarray[childsarray.length] = '<h2><span class="title">';
	            childsarray[childsarray.length] = blockname;
	            childsarray[childsarray.length] = '</span>';
	        	childsarray[childsarray.length] = '</h2><div class="index_mod rcmgedan"><ul class="kw_album_list">';
	        }else if(type=="tag"){
	        	if (childssize > 1) childssize -= 1;
	            childsarray[childsarray.length] = '<h2><span class="title">';
	            childsarray[childsarray.length] = blockname;
	            childsarray[childsarray.length] = '</span><span class="more"><em>/</em><a onclick="$(\'#cat_5\').click();" href="###" hidefocus="">更多分类</a></span></h2><div class="index_mod classify" style="padding-bottom:5px; *padding-bottom:20px;"><div class="kw_classify_list">';
				var ycclick = commonClickString(new Node(33,'','原创电台',87045));
				childsarray[childsarray.length] = '<a title="原创电台" class="cl_wrap" hidefocus onclick="'+ycclick+'" href="###">原创电台</a>';	
				for(var jj = 0; jj<childssize; jj++){
				    var disname = childs[jj].disname;
    			    if (disname == 'DJ') {
    			        disname = 'DJ专区';
    			        var click = commonClickString(new Node(childs[jj].source,childs[jj].sourceid,childs[jj].name,childs[jj].nodeid,childs[jj].extend,"|psrc=首页->分类->|bread=-2,5,分类,-2"));
    			        var style = "";
    			        var color = getStringKey(childs[jj].extend,"COLOR");
    			        if(color!=""){
    			            style = "color:"+color;
    			        }
    			        childsarray[childsarray.length] = '<a style="';
    			        childsarray[childsarray.length] = style;
    			        childsarray[childsarray.length] = '" class="cl_wrap" hidefocus href="###" onclick="';
    			        childsarray[childsarray.length] = click;
    			        childsarray[childsarray.length] = '" title="';
    			        childsarray[childsarray.length] = disname;
    			        childsarray[childsarray.length] = '">'+disname+'</a>';
    			    }    
				}		
				var ycclick1 = commonClickString(new Node(29,'78664','网络专区',78664,'','|zoneNavId=78664'));
				childsarray[childsarray.length] = '<a title="网络专区" class="cl_wrap" hidefocus onclick="'+ycclick1+'" href="###">网络专区</a>';	
				var ycclick2 = commonClickString(new Node(29,'79144','经典专区',79144,'','|zoneNavId=79144'));
				childsarray[childsarray.length] = '<a title="经典专区" class="cl_wrap" hidefocus onclick="'+ycclick2+'" href="###">经典专区</a>';	
				var ycclick3 = commonClickString(new Node(29,'78312','儿歌专区',78312,'','|zoneNavId=78312'));
				childsarray[childsarray.length] = '<a title="儿歌专区" class="cl_wrap" hidefocus onclick="'+ycclick3+'" href="###">儿歌专区</a>';	
				// var ycclick4 = commonClickString(new Node(29,'78879','影视专区',78879,'','|zoneNavId=78879'));
				// childsarray[childsarray.length] = '<a title="影视专区" class="cl_wrap" hidefocus onclick="'+ycclick4+'" href="###">影视专区</a>';	
				var ycclick4 = commonClickString(new Node(17,'http://shop.kuwo.cn/shop/index/hotpc','酷我商城',0,'',''));
				childsarray[childsarray.length] = '<a style="color:#ff9900" title="酷我商城" class="cl_wrap" hidefocus onclick="'+ycclick4+'" href="###">酷我商城</a>';	
				var ycclick5 = commonClickString(new Node(29,'78521','韩国专区',78521,'','|zoneNavId=78521'));
				childsarray[childsarray.length] = '<a title="韩国专区" class="cl_wrap" hidefocus onclick="'+ycclick5+'" href="###">韩国专区</a>';
	        }else if(type=="mv"){
	            if(childssize>mvsize){
	                childssize = mvsize;
	            }
	            childsarray[childsarray.length] = '<h2><span class="title">';
	            childsarray[childsarray.length] = blockname;
	            childsarray[childsarray.length] = '</span><span class="more"><em>/</em><a hidefocus href="###" onclick="moreLatest(\'MV\');">更多MV</a></span></h2><div class="index_mod mv"><ul class="kw_mv_list">';        
	        }else if(type=="album"){
	            if(childssize>albumsize){
	                childssize = albumsize;
	            }
	            childsarray[childsarray.length] = '<h2><span class="title">';
	            childsarray[childsarray.length] = blockname;
	            childsarray[childsarray.length] = '</span><span class="more"><em>/</em><a hidefocus href="###" onclick="moreLatest(\'ALBUM\');">更多专辑</a></span></h2><div class="index_mod album"><ul class="kw_album_list">';
	        }
			for(var j = 0; j<childssize; j++){
			    if(type=="diantai"){//电台body
			        var radioobj = childs[j];
		        	if(typeof(gxhRadioObj)=="object"&&typeof(gxhRadioObj[j])=="object"){ 
			            radioobj = gxhRadioObj[j];
			            //radioarray[radioarray.length] = createRadioBlock(radioobj,"index",picrefresh,j+1);
			        }
			        radioarray[radioarray.length] = createRadioBlock(radioobj,"index",picrefresh,j+1);
			    }else if(type=="newsong"){//新歌速递模块body
			    	childsarray[childsarray.length] = createPlaylistBlock(childs[j],"index",picrefresh,someObj);
			    }else if(type=="rcmplaylist"){
			    	var from='index';
			    	var playlistobj = childs[j];
			        if(typeof(RcmPlaylistObj)=="object" && RcmPlaylistObj!=null && RcmPlaylistObj.length>0){
			            playlistobj = RcmPlaylistObj[j];
			            var rcm_type = RcmPlaylistObj[j].rcm_type;
			            //更改psrc
			            if(rcm_type=='algorithm' || rcm_type=='editor'){
			            	someObj.psrc='猜你喜欢->';
			            	rcm_type=='algorithm'?from='index(algorithm)':from='index(editor)';
			            }
			            childsarray[childsarray.length] = createRcmPlaylistBlock(playlistobj,from,picrefresh,someObj,j);
			        }
			    }else if(type=="album"){
    			    childsarray[childsarray.length] = createAlbumBlock(childs[j],"index",picrefresh);
			    }else if(type=="mv"){
			        var mvobj = childs[j];
			        if(mvobj.source==7){
					    mvobj.sourceidcopy = encodeURIComponent(mvobj.sourceid);
				    }
    			    childsarray[childsarray.length] = createMVBlock(mvobj,"index",picrefresh,'首页->'+ blockname);
			    }else if(type=="tag"){
			        if(childs[j].source!=5){
			            continue;
			        }
			        var click = commonClickString(new Node(childs[j].source,childs[j].sourceid,childs[j].name,childs[j].nodeid,childs[j].extend,"|psrc=首页->分类->|bread=-2,5,分类,-2"));
    			    var style = "";
    			    var color = getStringKey(childs[j].extend,"COLOR");
    			    if(color!=""){
    			        style = "color:"+color;
    			    }
    			    var disname = childs[j].disname;
    			    if (disname == 'DJ') {
    			        continue;
    			    }
    			    if(childs[j].sourceid=="88080"&&getChargeIsOpen()){
			            var ycclick0 = commonClickString(new Node(-400,'','付费专区',''));
			            childsarray[childsarray.length] = '<a title="付费专区" class="cl_wrap" hidefocus onclick="'+ycclick0+'" href="###">付费专区</a>';
			            continue;	    
				    }
    			    childsarray[childsarray.length] = '<a style="';
    			    childsarray[childsarray.length] = style;
    			    childsarray[childsarray.length] = '" class="cl_wrap" hidefocus href="###" onclick="';
    			    childsarray[childsarray.length] = click;
    			    childsarray[childsarray.length] = '" title="';
    			    childsarray[childsarray.length] = disname;
    			    childsarray[childsarray.length] = '">'+disname+'</a>';
			    }
			}			
			if(type=="diantai"){
			    radioarray[radioarray.length] = '</ul></div>';
			}else if(type=="newsong"||type=="rcmplaylist"||type=="mv"||type=="album"){
				childsarray[childsarray.length] = '</ul></div>';
			}else if(type=="tag"){
			    childsarray[childsarray.length] = '</div>';
			    //新2t广告
				//childsarray[childsarray.length] = '<div style="float:left; width:100%;height:50px; background:red;"></div>';
				//childsarray[childsarray.length] = '<div style="width:100%;height:50px;overflow:hidden;"></div><div class="newad2"><a class="adx2" hidefocus href="###" title="关闭" onclick="callClient(\'CANCEL_AD?position=2\');return false;"></a><div id="delay_load_recom_2013_2t" style="height: 50px;overflow: hidden;"></div></div>';
				childsarray[childsarray.length] = '<div class="gxh2015ad2Box"><a class="adx2" hidefocus="" href="###" title="关闭" onclick="callClient(\'CANCEL_AD?position=2\');return false;"></a><div class="gxh2015ad2" id="delay_load_top_2"></div></div>';
		    	childsarray[childsarray.length] = '</div>';
				
			}
			blocklistarray[blocklistarray.length] = childsarray.join("");
			childsarray = null;		
		}
		noticeIsShow();
		$("#w_focus").html(jdtstring);
		$("#focus_btn").html(focusbtnstring);
		getimgstart = new Date().getTime();
		blockliststring = blocklistarray.join("");		
		// 曲库首页活动外链模块
		var huodongData = data.huodonglist;		
		if (huodongData && huodongData.list && huodongData.list.length > 0){
			var huodongName = huodongData.name;
			var titSourceid = huodongData.linkUrl;
			var huodongList = huodongData.list;
			var huodongSize = huodongList.length;
			if (huodongSize > 5) huodongSize = 5;
			var huodongArr = [];
			var huodongxia = 0;
			var huodongListStr = "";
			huodongArr[huodongxia++] = '<h2><span class="title">';
			huodongArr[huodongxia++] = huodongName;
			huodongArr[huodongxia++] = '</span></h2><div class="index_mod huodong"><ul class="kw_album_list">';		
			for(var i = 0; i < huodongSize; i++){
				var obj = huodongList[i];	
				var name = obj.name;
                name = checkSpecialChar(name,"name");
                var disname = obj.name;
                disname = checkSpecialChar(disname,"disname");
                var titlename = disname;
                titlename = checkSpecialChar(titlename,"titlename");
                
                obj.sourceid = obj.sourceid.replace("cid=","cid="+getUserID("devid"));

                var click = commonClickString(new Node(obj.source,obj.sourceid,name,obj.id,obj.extend));
                var pic = obj.pic;
                if(pic!=""){
				    pic = changeImgDomain(pic);
				    pic = getImgUrlWithRandom(pic);
			    }	
				huodongArr[huodongxia++] = '<li class="b_wrap"><a onclick="';
				huodongArr[huodongxia++] = click;
				huodongArr[huodongxia++] = '" title="';
                huodongArr[huodongxia++] = titlename;
                huodongArr[huodongxia++] = '" class="b_pic" href="###" hidefocus><span class="b_splice"></span><span class="b_shade"></span><img width="100" height="100" src="';
                huodongArr[huodongxia++] = default_img;
                huodongArr[huodongxia++] = '" class="lazy" onerror="imgOnError(this,100);" data-original="';
                huodongArr[huodongxia++] = pic;
                huodongArr[huodongxia++] = '" /></a><p class="b_name"><a onclick="';
                huodongArr[huodongxia++] = click;
				huodongArr[huodongxia++] = '" title="';
                huodongArr[huodongxia++] = titlename;
                huodongArr[huodongxia++] = '" href="###" hidefocus>';
                huodongArr[huodongxia++] = disname;
                huodongArr[huodongxia++] = '</a></p></li>';				
			}
			huodongArr[huodongxia++] = '</ul></div>';
			blockliststring = blockliststring + huodongArr.join('');
		}
		var ad2 = '<div style="width:0px;height:0px;overflow:hidden;"></div><div class="ad2"><a class="adx2" hidefocus href="###" title="关闭" onclick="callClient(\'CANCEL_AD?position=2\');return false;"></a><div id="delay_load_recom_2013_2t" style="height: 287px;overflow: hidden;"></div></div>';
		//去掉猜你喜欢模块
		//blockliststring = blockliststring+'<h2><span class="title">猜你喜欢</span></h2><div class="index_mod tuijian"><ul id="tuijianContent" class="kw_album_list"></ul>'+ad2+'</div>';
		blocklistarray = null;	
		$("#indexdata").html(radioarray.join("")+blockliststring);
		//判断推荐歌单模块的个数是否异常 异常隐藏该模块
		if($('.rcmgedan ul').children().length==0 || $('.rcmgedan ul').children().length>8){
			$('.rcmgedan').prev().hide();
			$('.rcmgedan').hide();
		}
		if (radioid) {
			initRadioStatus(parseInt(status,10),radioid);
		}
		$("#content").show();
		centerLoadingEnd("index");
		initJDT();
		indexLazyLoad();
		//去掉猜你喜欢模块
		//reloadYouLike();	
		if(!VipObject.isVip){
			if(firstLoadAD){
				firstLoadAD = false;
				loadIndexAD();
			}
			$(".topgg").show();
			if(isRefresh){
			    setTimeout(function(){
			        loadIndexAD(true);
			    },5000);
			}
		}else{
		    showUserInfo();
		}
		jdtstring = null;
		jdtlist = null;
		focusbtnstring = null;
		blockliststring = null;
		blocklist = null;
		handleCache = true;
		if(isRefresh){
		    returnTop();
			isRefresh = false;
			picrefresh = false;
		}
	}
	saveDataToCache("INDEXDATA",obj2Str(jsondata));
	if(Math.floor(Math.random()*100)==1){
	    var indeximg = new Image();
        indeximg.src = "http://g.koowo.com/g.real?aid=text_ad_1897&ver="+getVersion();
	}
	var fx = "http://topmusic.kuwo.cn/today_recommend/mbox2013/config/kuwofx.js?t="+Math.random();
	$.getScript(fx);
	uid = getUserID("uid");
	if(uid==""||uid==0){
		uid = getUserID("uid");
	}
	if(uid!=""&&uid!=0&&!islogin){
		isVipLogin();
	}
	execOK = true;
	indexisload = true;
	setTimeout(function(){
	    checkADLoad();
	    loadOtherChannel();
	},10000);
	}catch(e){}
}

function checkRemoveAd(isRemove){
	if(isRemove){
		saveDataToCache("isRemoveAd",isRemove);
		checkIsRemAd();
	}else{
		isRemoveAd = getDataByCache("isRemoveAd");
		if(isRemoveAd == 1 || (QKOBJ&&QKOBJ.removeAd==1)){//判断非北上广用户第一次安装去广告
			checkIsRemAd();
		}
	}
}

function loadOtherChannel(){
	//load radio channel
	var radioChannelUrl = 'http://qukudata.kuwo.cn/q.k?op=query&cont=tree&node=87235&pn=0&rn=100&fmt=json&src=mbox&level=3&sourceset=tag_radio&callback=saveRadioChannelData&extend=gxh&kid='+kid+'&uid='+uid+'&ver='+getVersion()+'&login='+islogin;
	$.getScript(radioChannelUrl);
	var mvChannelUrl = 'http://album.kuwo.cn/album/mv2015?callback=saveMvChannelData';
	$.getScript(mvChannelUrl);
	var classifyChannelUrl = 'http://qukudata.kuwo.cn/q.k?op=query&cont=tree&node=1&pn=0&rn=20&fmt=json&src=mbox&level=3&callback=saveClassifyChannelData';
	$.getScript(classifyChannelUrl);
	var artistChannelUrl = 'http://artistlistinfo.kuwo.cn/mb.slist?stype=artistlist&callback=saveArtistChannelData&category=0&order=hot&pn=0&rn=100';
	$.getScript(artistChannelUrl);
	var bangHotChannelUrl = 'http://kbangserver.kuwo.cn/ksong.s?from=pc&fmt=json&type=bang&data=content&id=16&pn=0&rn=20&callback=saveHotBangChannelData';
	$.getScript(bangHotChannelUrl);
	var bangListChannelUrl = 'http://qukudata.kuwo.cn/q.k?op=query&cont=tree&node=2&pn=0&rn=20&fmt=json&src=mbox&level=2&callback=saveBangChannelData'
	$.getScript(bangListChannelUrl);
	var jxjChannelUrl = 'http://album.kuwo.cn/album/jxjPast?typeId=0&callback=saveJxjChannelData&rn=40&pn=0';
	$.getScript(jxjChannelUrl);
}

function saveBangChannelData(data){
	saveDataToCache('bangList-channel',obj2Str(data),3600)
}
function saveClassifyChannelData(data){
	saveDataToCache('classify-channel',obj2Str(data),3600)
}
function saveHotBangChannelData(data){
	saveDataToCache('bangHot-channel',obj2Str(data),3600)
}
function saveRadioChannelData(data){
	saveDataToCache('radio-channel',obj2Str(data),3600)
}
function saveMvChannelData(data){
	saveDataToCache('mv-channel',obj2Str(data),3600)
}
function saveArtistChannelData(data){
	saveDataToCache('artist-channel',obj2Str(data),3600)
}
function saveJxjChannelData(data){
	saveDataToCache('jxj-channel',obj2Str(data),3600)
}

// 首页lasyload
function indexLazyLoad(){
    $("#indexdata .lazy").each(function(i){
        var thisobj = $(this);
        var top = thisobj.offset().top;
        if(top <= getContentHeight()+30 ) {
            thisobj.removeClass("lazy").attr("src",thisobj.attr("data-original"));
        }
    });
}
var jdtFocus = 1;
var jdtTimer;
var jdtTotal;
// 焦点图轮播
var initFirst = true;
function initJDT() {
    jdtTotal = $("#w_focus>a").size();
    jdtFocus = 1;
    checkJDTPlay(0)
    beginTimer();
    if(initFirst){
        bindJDT();
        initFirst = false;
    }
}
function checkJDTPlay(index){
    var firstsource = $("#w_focus>a").eq(index).attr("data-source");
    var firstsourceid = $("#w_focus>a").eq(index).attr("data-sourceid");
    var firstname = $("#w_focus>a").eq(index).attr("data-name");
    if (firstsource == 1 || firstsource == 4 || firstsource == 8 || firstsource == 12 || firstsource == 13 || firstsource == 21) {
        $("#focusplay").html('<a data-source="' + firstsource + '" data-sourceid="' + firstsourceid + '" data-name="'+firstname+'" href="###" hidefocus></a>').show();
    } else {
        $("#focusplay").html("").hide();
    }
}

function beginTimer(a) {
    clearTimeout(jdtTimer);
    jdtTimer = setTimeout(function () {
        jdtFocus++;
        if (jdtFocus > jdtTotal) {
            jdtFocus = 1;
        }
        gotoJDT();
        beginTimer();
    }, 5000);
}
var lastFocus = 1;
function gotoJDT() {
    $("#w_focus>a").css("z-index",1);
    $("#w_focus>a").eq(lastFocus-1).css("z-index",2);
    lastFocus = jdtFocus;
    $("#w_focus>a").eq(jdtFocus - 1).css("z-index",jdtTotal).find("img").hide();
    $("#w_focus>a").eq(jdtFocus - 1).find("img").fadeIn(500);
    $("#focus_btn a").eq(jdtFocus - 1).addClass("current").siblings().removeClass("current");
    checkJDTPlay(jdtFocus-1);
}
function bindJDT() {
    $("#lxNext").click(function () {
        jdtFocus++;
        if (jdtFocus > jdtTotal) {
            jdtFocus = 1;
        }
        clearTimeout(jdtTimer);
        gotoJDT();
    });
    $("#lxPre").click(function () {
        jdtFocus--;
        if (jdtFocus == 0 ) {
            jdtFocus = jdtTotal;
        }
        clearTimeout(jdtTimer);
        gotoJDT();
    });
    $("#w_focus>a").live("mouseenter",function () {
        clearTimeout(jdtTimer);
    });
    $("#focus_btn a").live("mouseenter",function () {
        if(jdtFocus == $(this).index() + 1){
            clearTimeout(jdtTimer);
            return;
        }
        jdtFocus = $(this).index() + 1;
        clearTimeout(jdtTimer);
        gotoJDT();
    });
    $("#focus_btn,#w_focus>a,#lxNext,#lxPre").live("mouseleave",function () {
        beginTimer();
    });
}
var newsonglist = [];
// 新歌速递切换上下一个
function newsongChange(type){
    var html = $(".week font").html();
    var page = html.split("/")[0];
    var total = newsonglist.length/5;
    total = parseInt(total,10);
    var index = 0;
    if(type=="prev"){
        page--;
        if(page<1){
            page = total;
        }
    }else if(type=="next"){
        page++;
        if(page>total){
            page = 1;
        }           
    }
    html = page+"/"+html.split("/")[1];
    $(".week font").html(html);
    index = (page-1)*5;
    var htmlarray = [];
    var size = index+5;
    if(index+5>newsonglist.length){
        size = newsonglist.length;
    }
    var someobj = {};
    someobj.psrc = $(".week").parent().find(".title").html()+"->";
    for(var j = index; j<size; j++){   
        htmlarray[htmlarray.length] = createPlaylistBlock(newsonglist[j],"index",picrefresh,someobj);
    }
    $(".gedan ul").html(htmlarray.join(""));
    indexLazyLoad();	
}
// 加载首页广告
var loadADExtra = false;
function loadIndexAD(flag){
    var d = new Date();
    var time = d.getYear()+d.getMonth()+d.getDate()+d.getHours()+parseInt((d.getMinutes()/20));
    time = ''+d.getYear()+d.getMonth()+d.getDate()+time;
    if(flag===true){
        time = Math.random();
    }
    //$.getScript("http://wa.kuwo.cn/lyrics/img/kwgg/kwgg_328.js?time="+time);
    $.getScript("http://wa.kuwo.cn/lyrics/img/kwgg/kwgg_457.js?time="+time);
    setTimeout(function(){
        if($("#delay_load_recom_2015_r1 iframe").size()==0){
            //$.getScript("http://wa.kuwo.cn/lyrics/img/kwgg/kwgg_328.js?time="+Math.random());
	    	$.getScript("http://wa.kuwo.cn/lyrics/img/kwgg/kwgg_457.js?time="+Math.random());
        }
    },5000);
    //2t广告
    //$.getScript("http://wa.kuwo.cn/lyrics/img/kwgg/kwgg_371.js?time="+time);
    $.getScript("http://wa.kuwo.cn/lyrics/img/kwgg/kwgg_5.js?time="+time);
	setTimeout(function(){
		if($("#delay_load_recom_2013_2t iframe").size()==0){
			//$.getScript("http://wa.kuwo.cn/lyrics/img/kwgg/kwgg_371.js?time="+Math.random());
			$.getScript("http://wa.kuwo.cn/lyrics/img/kwgg/kwgg_5.js?time="+time);
		}
	},5000);
}
var adloadtimer;
function checkADLoad(){
    try{
        clearInterval(adloadtimer);
        if(QKOBJ&&QKOBJ.loadadarray&&QKOBJ.loadadarray.length==2){
            var rannum = Math.floor(Math.random()*100);
            if(rannum<QKOBJ.loadadarray[1]){
                adloadtimer = setInterval(function(){
                    loadIndexAD(true);
                },QKOBJ.loadadarray[0]);    
            }
        }    
    }catch(e){}    
}
var islogin = false;
// 加载猜你喜欢数据
var isloadlike = false;
function loadTuiJianData(){
    if(uid==""||uid==0){
        uid = getUserID("uid");
    }
    if(kid==""||kid==0){
        kid = getUserID("devid");
    }
    var url = "http://fpagedata.kuwo.cn/f.page?op=query&uid="+uid+"&kid="+kid+"&cont=block&src=mbox&fmt=json&pn=0&rn=20&version="+getVersion();
    var d = new Date();
	var time = d.getYear()+d.getMonth()+d.getDate()+d.getHours()+parseInt((d.getMinutes()/20));
	time = ''+d.getYear()+d.getMonth()+d.getDate()+time;
	if(isRefresh){
	    time = Math.random();
	}
	url = url + "&time="+time;
	var cachedata = getDataByCache(url);
	if(cachedata!=""){
	    loadBlockList(eval('('+cachedata+')'));
	    return;
	}
    if(isIE){
        $.ajax({
            url:url,
            dataType:"text",
            type:"get",
            crossDomain:false,
            success:function(data){
                loadBlockList(eval('('+data+')'));
                saveDataToCache(url,data,3600);
            },
            error:function(xhr){
                if(!isloadlike){
                	//去掉猜你喜欢模块
                    //loadTuiJianData();
                }else{
                    $.ajax({
                        url:"http://"+hostConfig+"/f.page?op=query&uid="+uid+"&kid="+kid+"&cont=block&src=mbox&fmt=json&pn=0&rn=20&version="+getVersion()+"&time="+Math.random()+"&thost=fpagedata.kuwo.cn",
                        dataType:"text",
                        type:"get",
                        crossDomain:false,
                        success:function(tdata){
                            loadBlockList(eval('('+tdata+')'));
                            saveDataToCache(url,tdata,3600);
                        }
                    }); 
                }   
                isloadlike = true;   
            }
        }); 
    }else{
        $.getScript(url+"&callback=loadBlockList");
    }
}
// 猜你喜欢内容为空 重试
function reloadYouLike(){
    if($("#tuijianContent li").size()==0){
        loadTuiJianData();
    }
}
function loadBlockList(jsondata){
    var sameString = "";
    var starttime = new Date().getTime();
    var data = jsondata;
    if(typeof(data)=="undefined" || data==null ||typeof(data.total)=="undefined"|| data.total==0){
        return;
    }
    var recList = data.reclist;
    var recSize = recList.length;
    var htmlArray = [];
    var someRec;
    var name;
    var disname;
    var titlename;
    var info;
    var sourceid;
    var source;
    var issame;
    var jiaobiao;
    var pic;
    var id;
    var listen;
    var like;
    var tips;
    var haslike;
    var htmlchildarray;
    var xia;
    var info2;
    var hrefstring;
    var curtotal = 0;
    var someObj = {};
    for ( var i = 0; i < recSize; i++) {
        someRec = recList[i];
        name = someRec.name;
        disname = someRec.disname;
        titlename = disname;
        someObj.psrc = '猜你喜欢->';
        name = checkSpecialChar(name,"name");
        disname = checkSpecialChar(disname,"disname");
        info = someRec.info;
        if(typeof(info)=="undefined" || info==""){
            info = "";
        }
        sourceid = someRec.sourceid;
        source = someRec.source;
        if(source!=8&&source!=12){
            webLog("aaa:"+i);
            continue;
        }
        if(info=="0首歌曲"){
            webLog("bbb:"+i);
            continue;
        }	
        if(info==""){
            info = "10首歌曲";
        }
        issame = ''+sourceid;
        if(sameString.indexOf(issame)>-1){
            webLog("ccc:"+sameString);
            continue;
        }
        sameString += (issame+"|");
        if(curtotal>10){
            continue;
        }
        curtotal++;
        htmlArray[htmlArray.length] = createPlaylistBlock(someRec,"index",'',someObj);
    }
    $('#tuijianContent').html(htmlArray.join(''));
    indexLazyLoad();
}
// 首页 公告栏
function noticeIsShow(){
    var someobj = $("#tips");
    if(someobj.find("a").size()>0){
        someobj.show();
    }
}
// 通过点击跳转事件方法
var goldjson = {};
function commonClick(nodeobj) {
	$("#cat_888889 img").show();
    goldjson = nodeobj;
    //var testgoldleft = goldleft;
    if(typeof(testgoldleft)=="undefined"||isNaN(testgoldleft)){
        //testgoldleft = 15;
    }
    // goldjson.margin = testgoldleft;
    var source = nodeobj.source;
    var sourceid = nodeobj.sourceid;
    var id = nodeobj.id;
    var name = nodeobj.name;
    //source 是数字 对应
    //-1 直接跳到曲库首页
    //-2 oneCategory点击
    //-3 search
    //-4 歌手专辑
    //-5 歌手MV
    //-6 相似歌手
    //-7 歌手信息
    //-8 特色标签
    //-9 首页某些更多跳转
    //0 推荐首页
    //1 banglist 排行榜分类
    //2 bang 排行榜榜单
    //3 artistlist 歌手分类
    //4 artist 歌手
    //5 tag 普通标签
    //6 mvlist MV标签
    //7 mv MV
    //8 pl 普通歌单
    //9 diantai 电台
    //10 fm FM调频
    //11 game 某个游戏
    //-11 首页每日单曲推荐跳转
    //12 tagpl 代表歌单
    //13 album 专辑
    //14 mvpl MV歌单
    //16 游戏合集
    //17 打开网页
    //20 起应用
    //21 获取线上的一个网页 本地展示
    //24 秀场专区 tag
    //25 打开外链 目前跟17一样
    //26 精选集专区 tag
    //29 专区分类
    //33 原创
    //36 话题
    //40 tag 2015新普通标签	
    // -300 MV专区内容
	//-201 原创内容页
    //-203 专区歌单 
    //-204 专区MV歌单 
    //-205 DJ专区更多跳转页面
    //-20140620 百度外链
    //-400 付费专区
    var sourceNum = parseInt(source,10);
    switch(sourceNum){
        case 1: gopage(4,nodeobj);break;
        case 2: gopage(4);break;
        case 3: gopage(3);break;
        case 4: gopage(9,nodeobj);break;
        case 5: gopage(5,nodeobj);break;
        case 40: gopage(5,nodeobj);break;
        case 6: gopage(5);break;
        case 16: gopage(5);break;
        case 13: gopage(8,nodeobj);break;
        case 8:
            if(name=="my"){
                gopage(6,nodeobj,true);
            }else{
                gopage(6,nodeobj);
            }
            break;
        case 12: gopage(6,nodeobj);break;
        case 14: gopage(14,nodeobj);break;
        case 9: someDianTai(sourceid);break;
        case 10: someTiaoPin(sourceid);break;
        case -1: qukuhtml(nodeobj);break;
        case -2: gopage(1,nodeobj,false);break;
        case -3: gopage(10);break;
        case -4: gopage(9);break;
        case -5: gopage(9);break;
        case -6: gopage(9);break;
        case -7: gopage(9);break;
        case -12: gopage(9);break;
        case 0: qukuhtml(nodeobj);break;
        case 11: someGame(nodeobj);break;
        case 7: playSomeMV(nodeobj);break;
        case 17: openURL(nodeobj);break;
        case 25: openURL(nodeobj);break;
        case -9: selectIndex();gopage(5);break;
        case -10: selectIndex();gopage(-10,nodeobj);break;
        case -11: gopage(-11,nodeobj);break;
        case 20 :runApp(nodeobj);break;
        case 21: gopage(7,nodeobj);break;
        case 29: gopage(29,nodeobj,false);break;
		case 33: gopage(33,nodeobj,false);break;
		case -201: gopage(-201,nodeobj,false);break;
        case -28: gopage(29,nodeobj,false);break;
        case -29: gopage(29,nodeobj,false);break;
        case -30: gopage(29,nodeobj,false);break;
        case 36: gopage(36,nodeobj);break;
        case -203: gopage(-203,nodeobj,false);break;
        case -204: gopage(-204,nodeobj,false);break;
        case -205: gopage(-205,nodeobj,false);break;
        case -300: gopage(-300,nodeobj,false);break;
        case -400: gopage(-400,nodeobj,false);break;
        case 999: 
        	if (uid == 0) {
        		callClient("UserLogin?src=login"); 	
        	} else {
        		nodeobj.source = -2;
        		nodeobj.sourceid = 4;
        		gopage(999,nodeobj);
        	}
        	break;
        default : webLog("当前的source:"+source+"没有定义...");
    }
}
function frameContentOnload(){
    $('.allcontent').scrollTop(0);
    $('.rtop').hide();
}
// 登录用户是否为vip
var VipObject = { isVip: false };
// iframe 跳转判断
// 当前显示的是哪个类型的内容页面
var currentF = 2;
var currentIndexTop = 0;
function gopage(f,nodeobj,bl){
	$("#frame_content").css("height","auto");
	if(5==f){ //分类二级
        if (nodeobj.sourceid == 190481 || nodeobj.sourceid == 28 || nodeobj.sourceid == 88079) {
			$("body").css("background-color","#373737");
        }
    } else if (-205==f) {
		$("body").css("background-color","#373737");
	} else {
		$("body").css("background-color","#fafafa");
	}	
    $("#l_loadfail").remove();
    if(currentF==2){
        currentIndexTop = $(".allcontent").get(0).scrollTop;
    }
    currentF = f;
    var from = '';	
    if (nodeobj){
    	from = getStringKey(nodeobj.other,'from');
    }
    if (nodeobj) saveAction(nodeobj);
    if (f==2) {
    	centerLoadingEnd("index");
        $('#frame_content').css({"left":"-3000px"}).height(0);
        $("#allcontent").css("overflow-y","scroll");
    } else {
        $("#content").css("left","-3000px").height(0);
        $("#allcontent").css("overflow-y","auto");
    } 
	if((f != 7 && nodeobj && nodeobj.name != '888889') || !nodeobj){
		$("#cat_888889 img").show();
	}
    if(1==f){ //一级分类		
        var typeNum = parseInt(nodeobj.sourceid,10);
        if(typeNum==0){
            typeNum = parseInt(nodeobj.id,10);    
        }
        selectCat(typeNum);
        switch(typeNum){		
        	case 2: setIframeSrc("channel_bang.html");break;
            case 3: setIframeSrc("channel_mv.html");break;
            case 4: setIframeSrc("channel_artist.html");break;
            case 5: setIframeSrc("channel_classify.html");break;
            case 8: setIframeSrc("channel_radio.html");break;
            case 86237: setIframeSrc("channel_jxj.html");break;
        }		
        $(".content").hide();
    }else if(2==f){ //首页
        setIframeSrc("init.html");
        $('#content').css({"left":"0"}).height("auto");  
    } else if(4==f){ //排行榜
    	selectCat(2);
        setIframeSrc("content_bang.html");
    } else if(5==f){ //分类二级
    	selectCat(5);
        if (nodeobj.sourceid == 190481 || nodeobj.sourceid == 28 || nodeobj.sourceid == 88079 || nodeobj.sourceid==78067 ) {
			setIframeSrc("content_djzone.html");
			$("body").css("background-color","#373737");
        }else if(nodeobj.sourceid == -22){
        	setIframeSrc("tag_classify.html");	
        }else if(nodeobj.sourceid == -9){
        	//selectIndex();
        	setIframeSrc("indexRcmMore.html");	
        } else {
            setIframeSrc("content_classify.html");	
        }
    }else if(6==f){
    	from == 'index' ? selectIndex() : selectCat(5);
    	setIframeSrc("content_gedan.html");
    }else if(7==f){
    	if(nodeobj.name=='888889'){
    		var xiuimg = new Image();
			xiuimg.src = "http://g.koowo.com/g.real?aid=text_ad_2805&ver="+getVersion();
    		$("#frame_content").css("height","525px");
    		selectCat(888889);
    		setIframeSrc(nodeobj.sourceid);
    		$("#cat_888889 img").hide();
    		return;
    	}
    	selectCat(86237);
        setIframeSrc("content_jxj.html");
    } else if(8==f){
    	selectCat(4);
        setIframeSrc("content_album.html");
    } else if(9==f) {
    	selectCat(4);
        setIframeSrc ("content_artist.html");
    } else if(14==f) {
    	selectCat(3);
        setIframeSrc("content_mvgedan.html");
    } else if(33==f) {
        selectCat(5);
    	setIframeSrc("originalpage.html");
    } else if(36==f) {
    	selectCat(86237);
    	setIframeSrc("content_topic.html");
    } else if(-10==f) {
    	selectIndex();
        setIframeSrc("content_latest.html");
    } else if(-201==f) {
        selectCat(5);
    	setIframeSrc("originalcontentpage.html");
    } else if(-203==f) {
    	selectCat(5);
        setIframeSrc("content_djzone_gedan.html");
    } else if(-204==f) {
    	selectCat(5);
        setIframeSrc("content_djzone_mvgedan.html");
    } else if(-205==f) {
    	selectCat(5);
        setIframeSrc("content_djartist.html");
	} else if(-300==f) {
    	selectCat(3);
        setIframeSrc("content_mv.html");
    } else if(999==f) {
    	selectCat(4);
    	setIframeSrc("content_myartist.html");
    } else if(29==f){
        selectCat(5);
        if (nodeobj.sourceid == 190481 || nodeobj.sourceid == 28 || nodeobj.sourceid == 88079 || nodeobj.sourceid==78067 ) {
            setIframeSrc("content_djzone.html");
            $("body").css("background-color","#373737");
        }else{
            setIframeSrc("zonepage.html");
        }  
    } else if(-400==f){ //付费专区跳转
    	realTimeLog("MUSIC_FEE","FEE_TYPE:MALL");//点击付费专区发送日志
    	selectCat(5);
        setIframeSrc("channel_charge.html");
    } else if(-11==f) {
    	selectIndex();
    	setIframeSrc("content_rcm.html");
    }
}

// 重置iframe的 src
function setIframeSrc(src){
    var iframeobj = $("#frame_content");
    iframeobj.attr("src",src);
    if(src!="init.html"){
        $("#frame_content").css({"left":"15px"});
    }
}

// 计算iframe宽度
$(window).resize(function(){
    try{iframeObj.refresh();}catch(e){}
    try{frame_content.iframeObj.refresh();}catch(e){}
    try{
        if(frame_content.l_loadfail){
            refBgColor();
            $(frame_content.document).find("body").css("background-color","#fafafa");
        }
    }catch(e){}
    try{
        if($("#l_loadfail").size()>0){
            var ch = $(".allcontent").height();
            $("#l_loadfail").height(ch);
        }else if(frame_content.l_loadfail){
            var ch = $(".allcontent").height();
            $(frame_content.l_loadfail).height(ch);
        }
    }catch(e){}
    $("#frame_content").css({"width":$(".allcontent").width() - 40});
});

window.onresize = function(){
    try{iframeObj.refresh();}catch(e){}
    try{frame_content.iframeObj.refresh();}catch(e){}
    $("#frame_content").css({"width":$(".allcontent").width() - 40});
};
// 存储每一次需要记录位置的 操作对象
var actionObj = [];
// 点击操作 存储当前操作动作
function save(nodeobj){
    if(!nodeobj.back&&nodeobj.back!="noback"&&!nodeobj.refresh){
        //$("#back").removeClass("noback").attr("title","后退");
        nodeobj.qkback = true;
        if(!nodeobj.noback){
            jumpString(nodeobj);
        }  
    }
}
// 客户端存储jump
function jumpString(nodeobj){
	var param = getParam(nodeobj);
	webLog("jumpString:"+decodeURIComponent(param));
	var call = "PageJump?param="+encodeURIComponent(param);
	callClient(call);
}
// 拼param串
function getParam(nodeobj){
	var param = '{';
	var paramArr = [];
	for(i in nodeobj){
		paramArr.push('"'+i+'":"'+encodeURIComponent(nodeobj[i])+'"');
	}
	param += paramArr.join(',');
	param +='}';
	return param;
}
// 点击后退按钮
var goBack = false;
function back(){
    goBack = true;
    callClient('NavBack');
}
// PC跳转曲库回调函数
function OnJump(param){
    param = decodeURIComponent(param);
    webLog("OnJump:"+param);
    if(param==""){
        //$("#back").addClass("noback").removeAttr("title");
        var node = {};
        node.source = 0;
        if(goBack){
            node.noback = true;    
        }
        tuijian(node,"noback");
        return;
    }
    var json = eval('('+param+')');
    var source = json.source;
    source = decodeURIComponent(source);
    var sourceid = json.sourceid;
    sourceid = decodeURIComponent(sourceid);
    var name = json.name;
    try{
        name = decodeURIComponent(name);
    }catch(e){
        name = name;
    }
    var id = json.id;
    id = decodeURIComponent(id);
    var extend = json.extend;
    if(!extend){
        extend = "";
    }else{
        extend = decodeURIComponent(extend);
    }
    var other = json.other || '';
    if((source==8||source==12)&&name=="my"){
        other = "|from=index";
    }
    if (other){
    	// other += '|from=index';
        other = decodeURIComponent(other);
    }
    if(source==29){
        other = "|psrc=分类->|bread=-2,5,分类,-2";
    }    
    var extend2 = json.extend2;
    if (extend2) {
    	for (i in extend2) {
    		other += '|' + i + "=" + extend2[i];
    	}    	
    }
    var nodeobj = new Node(source,sourceid,name,id,extend,other);
    if(json.qkback&&json.qkback=="true"){
        nodeobj.noback = true;
    }else{
    //else if(json.back&&json.back=="true"){
        nodeobj.noback = true;
    }
    commonClick(nodeobj);
    goBack = false;
}
// 刷新操作
var isRefresh = false;
function OnRefresh(param){
    isRefresh = true;
    param = decodeURIComponent(param);
    webLog("OnRefresh:"+param);
    if(param==""){
        //$("#back").addClass("noback").removeAttr("title");
        var node = {};
        node.source = 0;
        tuijian(node,"noback");
        return;
    }
    var json = eval('('+param+')');
    var source = json.source;
    source = decodeURIComponent(source);
    var sourceid = json.sourceid;
    sourceid = decodeURIComponent(sourceid);
    var name = json.name;
    try{
        name = decodeURIComponent(name);
    }catch(e){
        name = name;
    }
    var id = json.id;
    id = decodeURIComponent(id);
    var extend = json.extend;
    if(!extend){
        extend = "";
    }else{
        extend = decodeURIComponent(extend);
    }
    var other = json.other;
    if(!other){
        other = "";
    } else if (other){
        other = decodeURIComponent(other);
    }
    if(source==29){
        other = "|psrc=分类->|bread=-2,5,分类,-2";
    }    
    var extend2 = json.extend2;
    if (extend2) {
    	other += '|from=index';
    	for (i in extend2) {
    		other += '|' + i + "=" + extend2[i];
    	}    	
    }
    var nodeobj = new Node(source,sourceid,name,id,extend,other);
    nodeobj.refresh = true;
    commonClick(nodeobj);
}
var subnavObj = null;
var isIE6 = $.browser.msie && $.browser.version=="6.0" == true;
$(function(){
    subnavObj = $(".nav");
    localDetail = getLocalDetail();
    callClient("PageReady");
    getReadyInfo();
    realTimeLog("WEBLOG","localDetail:"+localDetail);
    loadQuKuTreeByLocal();
    cfvfn = $("#frame_content")[0].contentWindow;
    cfobj = $("#frame_content").contents();
    //鼠标hover焦点图 显示箭头
    $("#focusImg").mouseenter(function (){
        $(this).find("i").show();
    });
    $("#focusImg").mouseleave(function (){
        $(this).find("i").hide();
    });	
    // IE6 hover特殊设置一下
    if(isIE6){
        $("#lxPre").mouseenter(function(){
            $(this).addClass("prev_hover");
        });
        $("#lxPre").mouseleave(function(){
            $(this).removeClass("prev_hover");
        });
        $("#lxNext").mouseenter(function(){
            $(this).addClass("next_hover");
        });
        $("#lxNext").mouseleave(function(){
            $(this).removeClass("next_hover");
        });
    }
    // IE6直接播放小按钮hover
    if(isIE6){
        $(".i_play").live("mouseenter",function(){
            $(this).addClass("i_playhover");
        });
        $(".i_play").live("mouseleave",function(){
            $(this).removeClass("i_playhover");
        });
    }
    
    $(".allcontent").scroll(function(){
    	contentTop = $(this).get(0).scrollTop;
        indexLazyLoad();
        loadImages();
        if (contentTop > 15) {
        	$(".rtop").show();
        } else {
        	$(".rtop").hide();
        }
    });
    $("#frame_content").css({"width":$(".allcontent").width() - 40});
    
    
	$(".br_pic").live("mouseenter",function(){
		if ($(this).hasClass("on")) return;
		$(this).addClass("on");
		var status = $(this).attr("c-status");
		if (!parseInt(status,10)) return;
		var someClass = $(this).parent().attr('class');
		var s = someClass.indexOf("radio_");
		var id = someClass.substring(s + 6);
		var stopicon = '';
		var click = '';
		if (status == 1) {
			if ($(this).find(".radio_pause").size() == 0) {
			    stopicon = '<i title="暂停播放" onclick="" class="radio_pause"></i>';
			}
			click = 'stopRadio(arguments[0],\''+id+'\',true);';
			stopicon = '<i title="暂停播放" onclick="" class="radio_pause"></i>';
			$(this).find(".radio_play").remove();
		} else if (status == 2)	{
		    if ($(this).find(".radio_start").size() == 0) {
			    stopicon = '<i title="继续播放" onclick="" class="radio_start"></i>';
			}
			click = 'continueRadio(arguments[0],\''+id+'\',true);';
			stopicon = '<i title="继续播放" onclick="" class="radio_start"></i>';
			$(this).find(".radio_stop").remove();
		}
		$(this).append(stopicon);
		$(this).removeAttr('onclick');
		$(this).unbind("click").bind("click", function () {
			eval(click);
		});
		return false;
	});
	
	$(".br_pic").live("mouseleave",function(){
		$(this).removeClass("on");
		$(this).find(".radio_pause").remove();
		$(this).find(".radio_start").remove();
		var status = $(this).attr("c-status");
		if (status == 1) {
			var stopicon = '<img class="radio_play" src="img/radio_play.gif">';
			$(this).append(stopicon);
		} else if (status == 2)	{
			var playicons = '<i class="radio_stop"></i>';
			$(this).find(".i_play").hide();
			$(this).append(playicons);
		}
		return false;
	});    
    
});
var contentTop = 0;
var contentHeight = 0;
function loadImages(){
    try{
        if($("#frame_content").contents().find(".lazy").size()==0){
            return;
        }
        var lazyobjs = $("#frame_content").contents().find(".lazy");
        var lazyobjssize = lazyobjs.size();
        for(var i = 0 ; i < lazyobjssize; i++){
            var thisobj = lazyobjs.eq(i);
            var top = thisobj.offset().top+10-contentTop;
            if(top <= getContentHeight() ) {
                thisobj.removeClass("lazy").attr("src",thisobj.attr("data-original"));
            }else{
                break;
            }
        }      
//        $("#frame_content").contents().find(".lazy").each(function(i){
//            var thisobj = $(this);
//            var top = thisobj.offset().top+10-contentTop;
//            if(top <= getContentHeight() ) {
//                thisobj.removeClass("lazy").attr("src",thisobj.attr("data-original"));
//            }
//        });
    }catch(e){}
}
// allcontent
$(window).resize(function(){
    refresh();
}).ready(function(){
    refresh();
});
function refresh() {
    $(".allcontent").css("height", ($(window).height() - 35));
}
function getContentHeight(){
    contentHeight = ($(window).height() - 35);
    return contentHeight;
}
var indexjsondatamore;
// 点击首页公告
function noticeClick(obj){
    var someobj = $(obj);
    var notice = someobj.attr("data-notice");
    someobj.parent().hide().html("");
    saveDataToCache("noticehash",getHashCode(notice),2592000);
    callClient("Pv?msg=INDEXTIPSCLOSE|PAGE:GONGGAO");
}
// 打开用户反馈
function openFeedBack(){
    callClient('UserFeedback');
}
// 取本地信息
var IEVER = "";
var localDetail = "";
function getLocalDetail(){
    var ieVer = 'unkown';
    var ua = window.navigator.userAgent;
    var msie = ua.indexOf("MSIE");
    if (msie > 0){
        ieVer = 'IE' + parseInt(ua.substring(msie + 5, ua.indexOf(".", msie)));
        IEVER = ieVer;
    }
    return ieVer + '|' + screen.width + '*' + screen.height + '|' + navigator.systemLanguage;
}
//调用客户端方法传递相关信息
function getReadyInfo(){
	//source:43 专区类型
	//sourceid：2 DJ专区
	
	var str = "GetSupportFastSearch?";
	callClient(str);
}
// 关闭首页广告
function removeAD(flag){
    if(flag || removeAdByLocation){
       $(".ad,.gxh2015ad2Box").hide();
       $(".ad,.gxh2015ad2Box").css("visibility","hidden");
       $('.gxh2015ad2Box').height(0);
       // setTimeout(function(){
       // 		$(".gxh2015ad2Box").hide();
       // 		$(".gxh2015ad2Box").height(0);
       // },1000);
       $(".vip").show();
       $(".vip").css("visibility","");
    }else{
       $(".vip").hide();
       $(".vip").css("visibility","hidden");
       $(".ad,.gxh2015ad2Box").show(); 
       $(".ad,.gxh2015ad2Box").css("visibility","");
       $('.gxh2015ad2Box').height(60);
    }
}
function getIframeSrc(){
    return $("#frame_content").attr("src");
}
var isfirstanimate = false;
var callbackData;
// ajax getscript方法获取数据 回调iframe子页面callback方法
function getCommScript(url){
    var callbackName = getValue(url,"callback");
    callbackData = null;
    $.getScript(url.replace(callbackName,"").replace("callback=","callback=commCallback"),function(){
        if(callbackData!=null){
            frame_content.eval(callbackName)(callbackData);
            callbackData = null;
        }
    }); 
}
// jsonp 通用请求回调方法
function commCallback(jsondata){
    callbackData = jsondata;
}
// 页面ajax错误调试方法
function jsonError(e){
    webLog("jsonError message:"+e.message);
}
// 首页刷新的时候需要刷新图片
var picrefresh = false;
function getImgUrlWithRandom(pic){
    if(picrefresh){
        pic = pic.replace(/(\s*$)/g, "")+"?"+Math.random();
    }
    return pic;
}
// 拼 commonclick 参数串
function commonClickString(obj){
    var clickarray = [];
    var index = 0;
    clickarray[index++] = "commonClick(";
    clickarray[index++] = getNodeJsonString(obj);
    clickarray[index++] = ")";
    var clickstring = clickarray.join('');
    return clickstring;
}
// 返回顶部
function returnTop(t) {
	var tt = t || 0;
	$(".allcontent").stop().animate({scrollTop:tt},500);
}
// vip用户登录后去广告
function isVipLogin() {
    islogin = true;
    callClient("setVipInfo");
}
var uid = 0;
var kid = 0;
var username = "";
// 客户端登录成功后 回调网页方法
function OnLogin(param) {
    var userid = getUserID("uid");
	var sid = getUserID("sid");
	try{
		if($("#frame_content").attr("src").indexOf('x.kuwo.cn') > 0){
			setIframeSrc($("#frame_content").attr("src"));
		}
	}catch(e){
	}
	setTimeout(function(){
		if($("#frame_content").attr("src").indexOf('init') < 0){
			$('.nav').children(0)[0].onclick=newqukuhtml;
			requestRcmMoreData();
		}
	},1000);
	

    if(userid==0){
		return;
	}else{
		if(!removeAdByLocation){
			isVipLogin();
		}
		uid = userid;
		kid = getUserID("devid");
		username = getUserID("name");
		refreshChildPageInfo(1);
		checkRemoveAd();
		try{cfvfn.cLogin();}catch(e){}
	}
}
// 客户端登录后退出 回调
function OnLogout() {
	try{
		if($("#frame_content").attr("src").indexOf('x.kuwo.cn') > 0){
			setIframeSrc($("#frame_content").attr("src"));
		}
	}catch(e){
		
	}

	if($("#frame_content").attr("src").indexOf('init') < 0){
		$('.nav').children(0)[0].onclick=newqukuhtml;
		requestRcmMoreData();
	}

	var userid = getUserID("uid");
	if(userid==0){
		uid = 0;
		kid = 0;
		username = "";
		refreshChildPageInfo(0);
		if(!removeAdByLocation){
			removeAD(false);
		}
		checkRemoveAd();
		try{cfvfn.cLogout();}catch(e){}	
	}
}
// vip去广告
var levelArray = [];
function setVipInfo(levelinfo) {
    try {
    if(levelinfo.indexOf(",")>-1){
        var levelarray = levelinfo.split(",");
        levelArray = levelarray;
        var level = levelarray[0];
        if(level > 0) {
            setVip(true);
            islogin = true;
            showUserInfo();
            removeAD(true);
        } else {
            setVip(false);
            removeAD(false);
        }
    }else{
        if(levelinfo==0){
            removeAD(false);
        }
    }     
    } catch(e) {
        webLog("vip error:"+e.message)
    }
}
var distarray={
		"%B1%B1%BE%A9":1,
		"%CC%EC%BD%F2":2,
		"%B9%E3%B6%AB":3,
		"%B8%A3%BD%A8":4,
		"%BC%AA%C1%D6":5,
		"%BA%A3%C4%CF":6,
		"%B9%E3%CE%F7":7,
		"%D5%E3%BD%AD":8,
		"%C9%BD%B6%AB":9,
		"%C4%FE%CF%C4":10,
		"%BA%DA%C1%FA%BD%AD":11,
		"%D4%C6%C4%CF":12,
		"%C9%BD%CE%F7":13,
		"%BA%FE%B1%B1":14,
		"%C9%C2%CE%F7":15,
		"%B8%CA%CB%E0":16,
		"%D6%D8%C7%EC":17,
		"%BA%D3%B1%B1":18,
		"%BD%AD%CB%D5":19,
		"%B0%B2%BB%D5":20,
		"%CB%C4%B4%A8":21,
		"%BA%D3%C4%CF":22,
		"%C7%E0%BA%A3":23,
		"%C9%CF%BA%A3":24,
		"%CE%F7%B2%D8":25,
		"%C4%DA%C3%C9%B9%C5":26,
		"%BD%AD%CE%F7":27,
		"%D0%C2%BD%AE":28,
		"%B9%F3%D6%DD":29,
		"%C1%C9%C4%FE":30,
		"%BA%FE%C4%CF":31
	};

function checkIsRemAd(){
	var userLocation = getDataByCache('user_location');
	if(userLocation){
		if(userLocation != 1 && userLocation != 3 && userLocation != 24 && parseInt(userLocation)){
			$(".vip_btn").css("background-image","url('img/vip_btn1.png')");
        	setVip(true);
            islogin = true;
            showUserInfo();
            removeAD(true);
		}
	}else{
		var nscp=document.createElement("script");
		nscp.setAttribute("type","text/javascript");
		nscp.setAttribute("src","http://ipdomainserver.kuwo.cn/ip_domain");
		var head = document.getElementsByTagName("head")[0];
		head.appendChild(nscp);
	}
}
function removeAdByIp(ipdomain){
        saveDataToCache("user_location",distarray[ipdomain]);
        var userLocation = distarray[ipdomain];
        if(userLocation){
			if(userLocation != 1 && userLocation != 3 && userLocation != 24 && parseInt(userLocation)){
				$(".vip_btn").css("background-image","url('img/vip_btn1.png')");
				setVip(true);
            	islogin = true;
            	showUserInfo();
            	removeAD(true);
            	removeAdByLocation = true;
            	saveDataToCache("removeAdByLocation",1);
			}
		}
}

function checkIsRemAd(){
	var userLocation = getDataByCache('user_location');
	if(userLocation){
		if(userLocation != 1 && userLocation != 3 && userLocation != 24 && parseInt(userLocation)){
			$(".vip_btn").css("background-image","url('img/vip_btn1.png')");
        	setVip(true);
            islogin = true;
            showUserInfo();
            removeAD(true);
            removeAdByLocation = true;
            saveDataToCache("removeAdByLocation",1);
		}
	}else{
		$.ajax({
            url:"http://ipdomainserver.kuwo.cn/ip_domain",
			dataType:"text",
			type:"get",
			crossDomain:false,
			success:function(udata){
				eval(udata);
		    	removeAdByIp(_ip_domain_);
			    
			}
        });
	}
}

// 获取登录用户是否是vip
function getVip(){
    return VipObject.isVip;
}
// 设置用户是否是vip
function setVip(flag){
    VipObject.isVip = flag;
}
// 跳转到用户页面
function goUser(){
    if(uid==""||uid==0){
		uid = getUserID("uid");
	}
    var myurl = "http://mboxspace.kuwo.cn/ucm/mbox2013/Home?pageReady=false&uid="+uid;
    myurl = encodeURIComponent(myurl);
    callClient("Jump?channel=my&url="+myurl);
}
// 登录用户为VIP 显示用户相关信息
function showUserInfo() {
    if(VipObject.isVip){
        if(username==""){
            username = getUserID("name");
        }
        if(uid==""||uid==0){
			uid = getUserID("uid");
		}
		$(".v_login").hide();
		$(".all_num,.v_b_name").show();
		if(uid==""||uid==0){
			$(".all_num,.v_b_name").hide();
			$(".v_login").show();
			return;
		}
        if(levelArray.length==3){
            $(".vip .v_b_ulevel").css("background-position","-"+(parseInt(levelArray[2],10)-1)*18+"px 0");
            var vlevel = parseInt(levelArray[1],10);
            $(".vip .v_b_vlevel").css("background-position","-"+((vlevel-1)*12+vlevel-1)+"px 0");     
        }
        $.ajax({
            url:"http://mboxspace.kuwo.cn/ucm/mbox2013/UserInfo?uid="+uid+"&vuid="+uid+"&time="+Math.random(),
			dataType:"text",
			type:"get",
			crossDomain:false,
			success:function(udata){
			    var uobj = eval('('+udata+')');
			    if(uobj&&uobj.listen){
			        $(".vip .v_b_name").html(uobj.nickname);
			        $(".vip .all_num span").html(uobj.listen);	        
			        $(".ad,.gxh2015ad2Box").hide();
                    $(".vip").show();
			    }
			}
        });
    }
}
jQuery.fn.isShow=function(){
    if($(this).size()==0||$(this).css("display")=="none"){
        return false;
    }else{
        return true;
    }
};

// 关闭广告
function closeAD(pos){
    callClient("CANCEL_AD?position="+pos);
}
// 初始化子页面信息
function refreshChildPageInfo(s) {
	var contentSrc=$('#frame_content').attr('src');
	if(contentSrc.indexOf('x.kuwo.cn')>-1){
		window.location.reload();
	}else{
		try{
			var url = cfvfn.location.href.split('?')[0];
		}catch(e){
			var url = $("#frame_content")[0].contentWindow.document.location.href.split('?')[0];
		}
	}
	/*if(url.indexOf('init')>-1){//只替换首页口味发现的数据
		getRcmData();
		$('.allShadowBox').hide();
		setTimeout(function(){
       		$('#gxhTasteDiscovery .gxh_titleMoveBox').animate({'top':'0'});
       		$('#gxhTasteDiscovery .gxh_imgMoveBox').animate({'top':'0'});
       	},1000);
	}*/
	var e = url.lastIndexOf('/') + 1;
	url = url.substring(e);
	//if (url.indexOf('content_') == -1) return;
	var sn = url.indexOf('_') + 1;
	var en = url.indexOf('.html');
	var type = url.substring(sn,en).toUpperCase();
	if (type == "GEDAN" || type == "ARTIST"){
		if (type == 'GEDAN') type = 'PLAYLIST';
		showLike('get',type);	
	} else if (type == "MYARTIST") {
		commonClick({'source':'-2','sourceid':'4','name':'3','id':'-2'});
	} else if (type == "TOPIC" ) {
		var n = parseInt(cfvfn.mtlo.node,10);
		if (s) {
			if (n == 3) {
				cfvfn.mtlo.type = 'hot';
				cfvfn.showModule(cfvfn.mtlo);
		    }else{
		    	cfvfn.showModule(cfvfn.mtlo);
			}				
		} else {
			try{
				$("#frame_content").contents().find(".new_like_icon").hide().find("font").html("0");
				$("#frame_content").contents().find(".zan a").removeClass("liked").addClass("like");
				cfvfn.closeShare();
				if (n == 3) cfvfn.showModule(cfvfn.mtlo);
			}catch(e){}		
		}
	} else if (type == "JXJ" || url.indexOf("originalcontentpage.html")>-1 ) {
	    if(s){
	        frame_content.OnLogin();
	    }else{
	        frame_content.OnLogout();
	    }
	} else if(type == "RCM"){
		callClient('NavRefresh');
		return false;
	}else if(type =="INIT"){
		//切换账号首页刷新电台和歌单的数据
		window.location.reload();
	}
	
}   

// 首页进入入库点击
function moreLatest(type) {
	if (type == 'ALBUM') {
		commonClick(new Node('-10','ALBUM','',''));
	} else if (type == 'MV') {
		commonClick(new Node('-10','MV','',''));
	}
}
//显示隐藏喜欢按钮
var likeAct = '';
function showLike(act,type) {
	likeAct = act;
	var sid = getUserID("sid");
	var uid = getUserID("uid");
	var sourceid = $("#frame_content").contents().find(".like_btn").attr("c-id");
	var url = "http://nplserver.kuwo.cn/pl.svc?op=like&uid="+uid+"&sid="+sid+"&act="+act+"&sourceid="+sourceid+"&type="+type+"&callback=likeOperation";
	$.getScript(url);
}
var likeArray = ['收藏','已收藏'];
function likeOperation(jsondata){
	var data = jsondata;
	if(typeof(data)=="undefined"||data==null||typeof(data.result)=="undefined") return;
	if(data.result!="ok"){
		// webLog("likeOperation:喜欢系统返回错误");
	    $("#frame_content").contents().find(".like_btn").removeClass("like_current");
	    $("#frame_content").contents().find(".like_btn").html(likeArray[0]).show();		
		return;
	}
	var opret = data.opret;
	if (opret == "notcollected") {
	    $("#frame_content").contents().find(".like_btn").removeClass("like_current");
	    $("#frame_content").contents().find(".like_btn").html(likeArray[0]).show();
	}
	if (opret == "collected") {
	    $("#frame_content").contents().find(".like_btn").addClass("like_current");
	    $("#frame_content").contents().find(".like_btn").html(likeArray[1]).show();
	}
	if(opret=="ok"){
		var likehtml = "";
		if(likeAct=="add"){
		    $("#frame_content").contents().find(".like_btn").html(likeArray[1]).show();
			$("#frame_content").contents().find(".like_btn").addClass("like_current");
		}else if(likeAct=="delete"){
		    $("#frame_content").contents().find(".like_btn").html(likeArray[0]).show();
			$("#frame_content").contents().find(".like_btn").removeClass("like_current");
		}
	}	
}
// 首页焦点图全部播放
function focusPlay() {
    var source = $("#focusplay a").attr("data-source");
    var sourceid = $("#focusplay a").attr("data-sourceid");
    var name = $("#focusplay a").attr("data-name");
    if (source == 21) {
        iPlayPSRC = '首页->焦点图->精选->' + name;
    } else {
        iPlayPSRC = '首页->焦点图->' + name;
    }
    if (source == 21) {
        $.getScript(album_url + "album/mbox/commhd?flag=1&id=" + sourceid + "&pn=0&rn="+iplaynum+"&callback=playZhuanTiMusic");
    } else if (source == 1) {
        var url = "http://kbangserver.kuwo.cn/ksong.s?from=pc&fmt=json&type=bang&data=content&id=" + sourceid + "&callback=playBangMusic&pn=0&rn=" + iplaynum;  
        $.getScript(getChargeURL(url));
    } else if (source == 4) {
        var url = search_url + "r.s?stype=artist2music&artistid=" + sourceid + "&pn=0&rn=" + iplaynum + "&callback=playArtistMusic";
        $.getScript(getChargeURL(url));
    } else if (source == 8 || source == 12) {
        var url = "http://nplserver.kuwo.cn/pl.svc?op=getlistinfo&pid=" + sourceid + "&pn=0&rn=" + iplaynum + "&encode=utf-8&keyset=pl2012&identity=kuwo&callback=playGeDanMusic";
        $.getScript(getChargeURL(url));
    } else if (source == 13) {
        var url = search_url + "r.s?stype=albuminfo&albumid=" + sourceid + "&callback=playAlbumMusic";
        $.getScript(getChargeURL(url));
    }
}
// 小圆圈iplay 直接播放按钮
function iPlay(evt, source, sourceid, obj) {
	iPlayPSRC = '首页->' + $(obj).attr("data-ipsrc");
    if (source == 1) {
        var url = "http://kbangserver.kuwo.cn/ksong.s?from=pc&fmt=json&type=bang&data=content&id=" + sourceid + "&callback=playBangMusic&pn=0&rn=" + iplaynum;
        $.getScript(getChargeURL(url));
    } else if (source == 4) {
        var url = search_url + "r.s?stype=artist2music&artistid=" + sourceid + "&pn=0&rn=" + iplaynum + "&callback=playArtistMusic&show_copyright_off=1";
        $.getScript(getChargeURL(url));
    } else if (source == 8) {
        var url = "http://nplserver.kuwo.cn/pl.svc?op=getlistinfo&pid=" + sourceid + "&pn=0&rn=" + iplaynum + "&encode=utf-8&keyset=pl2012&identity=kuwo&callback=playGeDanMusic";
        $.getScript(getChargeURL(url));
    } else if (source == 13) {
        var url = search_url + "r.s?stype=albuminfo&albumid=" + sourceid + "&callback=playAlbumMusic&show_copyright_off=1";
        $.getScript(getChargeURL(url));
    } else if (source == 14) {
        var url = "http://nplserver.kuwo.cn/pl.svc?op=getlistinfo&pid="+sourceid+"&pn=0&rn="+iplaynum+"&encode=utf-8&keyset=mvpl&identity=kuwo&callback=playMVGeDanMusic";
        $.getScript(getChargeURL(url));
    } else if (source == 21) {
        $.getScript(album_url+"album/mbox/commhd?flag=1&id=" + sourceid + "&pn=0&rn="+iplaynum+"&callback=playZhuanTiMusic");
    } else if (source == 36){
    	$.getScript("http://album.kuwo.cn/album/MusicTopicServlet?node=pastList&type=" + sourceid + "&callback=playGeDanMusic");
    }
    if (isIE) {
        event.cancelBubble = true;
    } else {
        evt.stopPropagation();
    }
}
var iPlayPSRC = '';
function playMusicBigString(objs, flag) {
    var musicList = objs;
    var musicSize = musicList.length;
    var bigString = "";
    var bigarray = [];
    var someObj;
    var param;
    var paramArray;
    var childArray;
    var musicString;
    var musicridnum;
    var musicstringarray;
    var sarray;
    var si;
    var rid;
    var mp3rid;
    var mvrid;
    var musicstringarray;
    var xia;
	var psrc = iPlayPSRC || "";
	psrc = "VER=2015;FROM=曲库->"+psrc;
	psrc = encodeURIComponent(psrc);
    //flag为true 用param
    var onlineflag = false;
    if (flag) {
        for (var i = 0; i < musicSize; i++) {
            someObj = musicList[i];
            if(typeof(someObj.online)!="undefined"&&someObj.online.length==1&&someObj.online==0){
                onlineflag = true;
                continue;
            }
            param = someObj.param;
            if (typeof (param) == "undefined") {
                param = someObj.params;
            }
            param = returnSpecialChar(param);
            paramArray = param.split(";");
            childArray = [];
            musicString = "";
            for (var j = 0; j < paramArray.length; j++) {
                if (j < 3) {
                    childArray[j] = encodeURIComponent(returnSpecialChar(paramArray[j]));
                } else {
                    childArray[j] = paramArray[j];
                }
            }
            musicString = childArray.join('\t');
            musicridnum = paramArray[5];
            if (musicridnum.indexOf("MUSIC") > -1) {
                musicridnum = musicridnum.substring(6);
            }
            childArray = null;
            paramArray = null;
            musicstringarray = [];
            musicstringarray[musicstringarray.length] = musicString;
            musicstringarray[musicstringarray.length] = psrc;
		    musicstringarray[musicstringarray.length] = someObj.formats;
		    musicstringarray[musicstringarray.length] = getMultiVerNum(someObj);
		    musicstringarray[musicstringarray.length] = getPointNum(someObj);
		    musicstringarray[musicstringarray.length] = getPayNum(someObj);
		    musicstringarray[musicstringarray.length] = getArtistID(someObj);
		    musicstringarray[musicstringarray.length] = getAlbumID(someObj);
            musicString = musicstringarray.join('\t');
            musicstringarray = null;
            musicString = encodeURIComponent(musicString);
            sarray = [];
            si = 0;
            sarray[si++] = '&s';
            sarray[si++] = (i + 1);
            sarray[si++] = '=';
            sarray[si++] = musicString;
            bigarray[bigarray.length] = sarray.join('');
            sarray = null;
        }
    } else {
        for (var i = 0; i < musicSize; i++) {
            someObj = musicList[i];
            if(typeof(someObj.online)!="undefined"&&someObj.online.length==1&&someObj.online==0){
                onlineflag = true;
                continue;
            }
            rid = "MUSIC_" + someObj.musicrid;
            mp3rid = "MP3_" + someObj.mp3rid;
            mvrid = "MV_" + someObj.mkvrid;
            musicstringarray = [];
            xia = 0;
            musicstringarray[xia++] = encodeURIComponent(returnSpecialChar(someObj.name));
            musicstringarray[xia++] = encodeURIComponent(returnSpecialChar(someObj.artist));
            musicstringarray[xia++] = encodeURIComponent(returnSpecialChar(someObj.album));
            musicstringarray[xia++] = someObj.nsig1;
            musicstringarray[xia++] = someObj.nsig2;
            musicstringarray[xia++] = rid;
            musicstringarray[xia++] = someObj.mp3sig1;
            musicstringarray[xia++] = someObj.mp3sig2;
            musicstringarray[xia++] = mp3rid;
            musicstringarray[xia++] = someObj.mkvnsig1;
            musicstringarray[xia++] = someObj.mkvnsig2;
            musicstringarray[xia++] = mvrid;
            musicstringarray[xia++] = someObj.hasecho;
            musicstringarray[xia++] = psrc;
            musicstringarray[xia++] = someObj.formats;
		    musicstringarray[xia++] = getMultiVerNum(someObj);
		    musicstringarray[xia++] = getPointNum(someObj);
		    musicstringarray[xia++] = getPayNum(someObj);
		    musicstringarray[xia++] = getArtistID(someObj);
		    musicstringarray[xia++] = getAlbumID(someObj);
            musicString = musicstringarray.join('\t');
            musicstringarray = null;
            musicString = encodeURIComponent(musicString);
            sarray = [];
            si = 0;
            sarray[si++] = '&s';
            sarray[si++] = (i + 1);
            sarray[si++] = '=';
            sarray[si++] = musicString;
            bigarray[bigarray.length] = sarray.join('');
            sarray = null;
        }
    }
    bigString = bigarray.join('');
    musicList = null;
    try{
    if(onlineflag){
        if(bigarray.length==0){
            musicOnline();//全部是无版权歌曲    
        }
    }
    }catch(e){}
    return bigString;
}
function playBangMusic(jsondata) {
    var data = jsondata;
    if (typeof (data) == "undefined" || data == null || typeof (data.musiclist) == "undefined") {
        return;
    }
    var musicList = data.musiclist;
    var musicSize = musicList.length;
    var bigString = "";
    bigString = playMusicBigString(musicList, true);
    callClient("Play?mv=0&n=" + musicSize + bigString);
    bigString = null;
    musicList = null;
    data = null;
    musicSize = null;
}
function playArtistMusic(jsondata) {
    var data = jsondata;
    if (typeof (data) == "undefined" || data == null || typeof (data.musiclist) == "undefined") {
        return;
    }
    var musicList = data.musiclist;
    var musicSize = musicList.length;
    var bigString = "";
    bigString = playMusicBigString(musicList, false);
    callClient("Play?mv=0&n=" + musicSize + bigString);
    musicList = null;
    bigString = null;
    data = null;
}
function playGeDanMusic(jsondata) {
    var data = jsondata;
    if (typeof (data) == "undefined" || data == null || typeof (data.musiclist) == "undefined") {
        return;
    }
    var musicList = data.musiclist;
    var musicSize = musicList.length;
    var bigString = "";
    bigString = playMusicBigString(musicList, true);
    callClient("Play?mv=0&n=" + musicSize + bigString);
    musicList = null;
    bigString = null;
    data = null;
}
function playAlbumMusic(jsondata) {
    var data = jsondata;
    if (typeof (data) == "undefined" || data == null || typeof (data.musiclist) == "undefined") {
        return;
    }
    var musicList = data.musiclist;
    var musicSize = musicList.length;
    var artistid = data.artistid;
    var albumid = data.albumid;
    for (var i = 0; i < musicSize; i++) {
        musicList[i].artistid = artistid;
        musicList[i].albumid = albumid;
    }
    var bigString = "";
    bigString = playMusicBigString(musicList, true);
    callClient("Play?mv=0&n=" + musicSize + bigString);
    bigString = null;
    musicList = null;
    data = null;
}
function playZhuanTiMusic(jsondata) {
    var data = jsondata;
    var name = data
    if (data == null || typeof (data.musiclist) == "undefined" || data.musiclist.length == 0) {
        return;
    }
    var musicList = data.musiclist;
    var musicSize = musicList.length;
    var bigString = "";
    var musicarray = [];
    var musici = 0;
    var someobj;
    var musicString;
	var psrc = iPlayPSRC || "";
	psrc = "VER=2015;FROM=曲库->"+psrc;
	psrc = encodeURIComponent(psrc);  
	var onlineflag = false; 
    for (var i = 0; i < musicSize; i++) {
        someobj = musicList[i];
        if(typeof(someobj.online)!="undefined"&&someobj.online.length==1&&someobj.online==0){
            onlineflag = true;
            continue;
        }
        musicString = decodeURIComponent(someobj.param).replace(/;/g, "\t");
        musicString += '\t'+psrc;
        musicString = encodeURIComponent(musicString);
        musicarray[musici++] = '&s';
        musicarray[musici++] = (i + 1);
        musicarray[musici++] = '=';
        musicarray[musici++] = musicString;
    }
    try{
    if(onlineflag){
        if(musicarray.length==0){
            musicOnline();  
            return;  
        }else{
            musicOnline(true);
        }
    }
    }catch(e){}
    bigString = musicarray.join("");
    callClient("Play?mv=0&n=" + musicSize + bigString);
    bigString = null;
    musicList = null;
    data = null;
    musicSize = null;
}


function playMVGeDanMusic(jsondata){
	var data = jsondata;
	if(typeof(data)=="undefined"||data==null||typeof(data.musiclist)=="undefined"){
		return;
	}
	var musicList = data.musiclist;
	var musicSize = musicList.length;
	var bigString = "";
	var param = "";
	var paramArray = [];
	var childarray = [];
	var name;
	var artist;
	var album;
	var mvString;
	var mvridnum;
	var musicridnum;
	var pid = data.id;
	var artistid;
	var title = data.title;
	var xia = 0;
	var htmlarray = [];
	var htmli = 0;
	var formats;
	var someobj;
	var psrc = iPlayPSRC || "";
	psrc = "VER=2015;FROM=曲库->"+psrc;
	psrc = encodeURIComponent(psrc);
	var onlineflag = false;
	for(var i=0;i<musicSize;i++){
	    someobj = musicList[i];
	    if(typeof(someobj.online)!="undefined"&&someobj.online.length==1&&someobj.online==0){
            onlineflag = true;
            continue;
        }
	    param = someobj.params;
	    if(param!=""){
			param = returnSpecialChar(param);
			formats = someobj.formats;
			artistid = someobj.artistid;
			paramArray = param.split(";");
			childarray = [];
			name = paramArray[0];
			childarray[0] = encodeURIComponent(returnSpecialChar(name));
			artist = paramArray[1];
			childarray[1] = encodeURIComponent(returnSpecialChar(artist));
			album = paramArray[2];
			childarray[2] = encodeURIComponent(returnSpecialChar(album));
			for(var j=3;j<paramArray.length;j++){
				childarray[j] = paramArray[j];
			}
			mvString = childarray.join('\t');
			childarray = null;
			mvridnum = paramArray[11];
			if(mvridnum.indexOf("MKV")>-1){
				mvridnum = mvridnum.substring(4);
			}else if(mvridnum.indexOf("MV")>-1){
				mvridnum = mvridnum.substring(3);
			}
			musicridnum = paramArray[5];
			if(musicridnum.indexOf("MUSIC")>-1){
				musicridnum = musicridnum.substring(6);
			}
			mvString = mvString + "\t" + psrc+"\t"+formats+"\t"+getMultiVerNum(someobj)+"\t"+getPointNum(someobj)+"\t"+getPayNum(someobj)+"\t"+getArtistID(someobj)+"\t"+getAlbumID(someobj);
			mvString = encodeURIComponent(mvString);
			xia ++;
			htmlarray[htmli++] = "&s"+xia+"="+mvString;
		}
	}
	if(onlineflag){
        musicOnline(true);
    }
	if(xia == 0){
	    return;
	}
	var bigString = "n="+xia+htmlarray.join('');
	callClient("Play?mv=1&" + bigString);
	musicList = null;
	bigString = null;
	data = null;
}

// 获取当前电台播放状态
function radioNowPlaying(str) {
	if (str != ''){
		var id = getValue(str,'radioid');
		var status = getValue(str,'playstatus');
		var num = parseInt(status,10);
		initRadioStatus(num,id);
		try{cfvfn.initRadioStatus(num,id);}catch(e){}
	} else {
		initRadioStatus(3);
		try{cfvfn.initRadioStatus(3);}catch(e){}
	}
}

// 暂停播放电台
function stopRadio(evt,id){
	var call = 'ChgRadioPlayStatus?radioid='+id+'&playstatus=2';
	callClient(call);	
}

// 继续播放电台 
function continueRadio(evt,id) {
	var call = 'ChgRadioPlayStatus?radioid='+id+'&playstatus=1';
	callClient(call);
}

var radioTimer = null;
function initRadioStatus(num,id) {
	// 电台正在播放  -1  暂停播放-2  无电台播放 -3
 	if (num == 1){
		clearTimeout(radioTimer);
		var stopicon = '';
		var comobj = $(".br_pic");
		var obj = $(".radio_" + id).find(".br_pic");	
		comobj.attr("c-status","0");
		comobj.removeClass("current_pic");
		comobj.find(".radio_play").remove();
		comobj.find(".radio_start").remove();
		comobj.find(".radio_stop").remove();
		comobj.find(".radio_pause").remove();
		comobj.find(".i_play").show();
		comobj.attr("c-status","0");
		comobj.removeAttr('onclick');
		comobj.unbind("click").bind("click", function () {
			eval($(this).attr("_onclick"));
		});
		obj.addClass("current_pic");
		obj.find(".i_play").hide();
		obj.find(".radio_start").remove();
		obj.find(".radio_play").remove();
		obj.find(".radio_stop").remove();
		obj.attr("c-status","1");
		if (obj.hasClass("on")) {
			stopicon = '<i title="暂停播放" onclick="" class="radio_pause"></i>';
		} else {
			stopicon = '<img class="radio_play" src="img/radio_play.gif">';
		}
		obj.append(stopicon);
		obj.removeAttr('onclick');
		obj.unbind("click").bind("click", function () {
			stopRadio(arguments[0],id);
			return false;
		});
	
 	} else if (num == 2) {
		clearTimeout(radioTimer);
		var playicon = '';
		var comobj = $(".br_pic");
		var obj = $(".radio_" + id).find(".br_pic");		
		comobj.removeClass("current_pic");
		comobj.find(".radio_play").remove();
		comobj.find(".radio_start").remove();		
		comobj.find(".radio_stop").remove();
		comobj.find(".radio_pause").remove();
		comobj.find(".i_play").show();
		comobj.attr("c-status","0");
		comobj.removeAttr('onclick');
		comobj.unbind("click").bind("click", function () {
			eval($(this).attr("_onclick"));
			return false;
		});
		obj.attr("c-status","2");
		obj.addClass("current_pic");
		obj.find(".i_play").hide();
		obj.find(".radio_play").remove();
		obj.find(".radio_stop").remove();
		obj.find(".radio_pause").remove();
		if (obj.hasClass("on")){
			playicon = '<i title="继续播放" onclick="" class="radio_start"></i>';
		} else {
			playicon = '<i class="radio_stop"></i>';
		}
		obj.append(playicon);
		obj.removeAttr('onclick');
		obj.unbind("click").bind("click", function () {
			continueRadio(arguments[0],id);
			return false;
		});
	} else {
		clearTimeout(radioTimer);
		radioTimer = setTimeout(function(){
			var comobj = $(".br_pic");
			comobj.attr("c-status","0");					
			comobj.removeClass("current_pic");
			comobj.find(".radio_play").remove();
			comobj.find(".radio_stop").remove();
			comobj.find(".radio_start").remove();
			comobj.find(".radio_pause").remove();
			comobj.find(".i_play").show();			
			comobj.removeAttr('onclick');
			comobj.unbind("click").bind("click", function () {
				eval($(this).attr("_onclick"));
				return false;
			});
		}, 100);
	}
}

var radioid = 0;
var status = '';
function loadRadioStatus() {
	var call = "GetRadioNowPlaying";
    var str = callClient(call);
	radioid = getValue(str,'radioid');
	status = getValue(str,'playstatus');
}

function refBgColor() {
	try{$("body").css("background-color","#fafafa");}catch(e){}
}


// 个性化部分开始
//设置个性化播歌字符串的方法
function rcmPlaystring(obj,psrc){
	var playarray=[];
    var playindex=0;
    for(var i=0; i<obj.length; i++){
		saveMusicInfo(obj[i],'playlist',psrc);
		var rid=obj[i].musicrid;
		playindex++;
		playarray[i] = "&s"+playindex+"="+MUSICLISTOBJ[rid];
	}
	var str=("n="+playindex+playarray.join(""));
	return str;
}

//设置个性化的首页信息
function setRcmMsg(data,targetObj,targetType){
	var arr=Msgsort(data,targetObj);
	switch(targetType){
		case 0:
			var contentText=''+arr[0].name+'-'+arr[0].artist;
			targetObj[0].html(contentText);
			targetObj[0].attr('title',contentText);
			targetObj[1].attr('src',arr[0].pic);
			break;
		case 1:
			var contentText=''+arr[1].name+'-'+arr[1].artist;
			targetObj[0].html(contentText);
			targetObj[0].attr('title',contentText);
			targetObj[1].attr('src',arr[1].pic);
			break;
	}
	
}

function Msgsort(data,fromObj){
	var len=5;
	if(data.length<5){
		len=data.length;
	}
	var name=[];
	var artist=[];
	var str=[];
	var pic=[];
	var newarr=[];
	var defUrl='http://star.kuwo.cn/star/starheads/';
	for(var i=0; i<len; i++){
		name[i]=data[i].name;
		artist[i]=data[i].artist;
		str[i]=''+name[i]+artist[i];
		pic[i]=data[i].pic;
		if(pic[i]==''){
			var fromObjIndex=fromObj[0].parents('.gxhBox').index();
			switch(fromObjIndex){
				case 0:
				 	pic[i]='img/gxh/def_flavor.jpg';
				 	break;
				case 1:
				 	pic[i]='img/gxh/def_found.jpg';
				 	break;
			}
		}else{
			pic[i]=pic[i].split('/');
			pic[i][0]=70;
			pic[i]=pic[i].join('/');
			pic[i]=defUrl+pic[i];
		}
		newarr[i]={'name':name[i],'artist':artist[i],'pic':pic[i]};
	}
	return newarr;
}

function newMsgSort(data){
	var len=5;
	if(data.length<5){
		len=data.length;
	}
	var newData=[];
	for(var i=0; i<len; i++){
		newData[i]=data.shift();
	}
	newData.sort(function(){
		return Math.random()-0.5;
	});
	for(var i=0; i<len; i++){
		data.unshift(newData[i]);
	}
	return data;
}

function copyArr(arr){
	var arr2=[];
	for(var i=0; i<arr.length; i++){
		arr2[i]=arr[i];
	}
	return arr2;
}

//个性化数组拼接字符串新方法
function arrConcat(arr1,arr3){
	var firstMsg=arr1[0];
	var len=arr3.length;
	for(var i=0; i<arr3.length; i++){
		if(arr3[i]==firstMsg){
			arr3.splice(i,1);
		}
	}
	if(arr3.length<len)arr3.unshift(firstMsg);
	return arr3;
}

//个性化play 入口方法
function gxhPlay(){
	$('.gxh_play').live('click',function(){
		var prevEle=this.parentNode.children[0];
		var clickValue=prevEle.onclick+'';
		if(prevEle.title.indexOf('发现好歌')>-1 || clickValue.indexOf('发现好歌')>-1){
			multipleMusicOption("Play",rcmDiscoverMusicString);
		}else if(prevEle.title.indexOf('私人口味')>-1 || clickValue.indexOf('私人口味')>-1){
			multipleMusicOption("Play",rcmPersonalMusicString);
		}
	});

	$('.gxh_title').live('click',function(){
		//var prevEle=this.parentNode.children[0];
		var prevEle=$(this).parents('.gxhBox').children(0);
		var clickValue=prevEle.onclick+'';
		if(prevEle[0]){
			if(prevEle[0].title.indexOf('发现好歌')>-1 || clickValue.indexOf('发现好歌')>-1){
				commonClick({'source':'-11','sourceid':'rcm_discover','name':'发现好歌','id':'0','other':'|from=index|psrc=首页->为你推荐->发现好歌|'});
			}else if(prevEle[0].title.indexOf('私人口味')>-1 || clickValue.indexOf('私人口味')>-1){
				commonClick({'source':'-11','sourceid':'rcm_personal','name':'私人口味集','id':'0','other':'|from=index|psrc=首页->为你推荐->私人口味集|'});
			}
		}
	});
}

gxhPlay();


if(isIE6){
	$('.shadowClose').live('click',function(){
		$('.allShadowBox').hide();
	});
	
	$('#gxhTasteDiscovery').live('click',function(){
		$('.allShadowBox').hide();
	});
}else{
	$('.shadowClose').live('click',function(){
		$('.allShadowBox').hide();
	});
}
//个性化部分结束

//个性化歌单、电台的登录退出请求数据封装
function requestRcmMoreData(){
	getRcmData();
	loadGXHRadio();
	getRcmPlaylistData();
	var someurl = index_url_ie+"?newtime="+Math.random();
	var indexstarttime2 = new Date().getTime();
	//indexnewstarttime = indexstarttime2;
	$.ajax({
	    url:someurl,
	    type:"get",
		dataType:"text",
		crossDomain:false,
	    success:function(ssdata){
		    if(ssdata.indexOf("var indexjsondata")<0){
		        loadErrorPage();
			    return;
		    }
		    try{
		        var indexendtime2 = new Date().getTime() - indexstarttime2;
			    eval(ssdata);
			    //indexjsondatamore = indexjsondata;
			    var count=0;
			    var Radiotimer=setInterval(function(){
			    	count++;
					if(gxhRadioObj.length>0&&RcmPlaylistObj.length>0){
						handleIndex(indexjsondata);
						clearInterval(Radiotimer);
					}
					if(count==10){//5秒后读取默认数据
						handleIndex(indexjsondata);
						clearInterval(Radiotimer);
					}
				}, 500);
				//handleIndex(indexjsondata);
			    realTimeLog("WEBLOG","url_time:"+indexendtime2+";shouye;"+someurl);
			    realShowTimeLog(someurl,1,indexendtime2,0,0);
		    }catch(e){
		        realTimeLog("WEBLOG","get index data error4:"+e.message);
			    $.getScript(index_url_other+"?newtime="+Math.random());
		    }
	    },
	    error:function(xhr){
		    var httpstatus = xhr.status;
		    if(typeof(httpstatus)=="undefined"){
			    httpstatus = "-1";
		    }
		    var sta = httpstatus.toString();
		    if(someurl.indexOf(index_host)>-1){
		        indexDomainChange();
		        return;
		    }
		    loadErrorPage();
		    realTimeLog("WEBLOG","url_error:"+sta+";shouye;"+someurl);
		    realShowTimeLog(someurl,0,(new Date().getTime()-indexstarttime2),sta,0);
		    return;
	    }
	});
}

//个性化歌单拉黑满足上限或者无法推出新的歌单时的逻辑
function showBlackOver(){
	var clientH2=document.documentElement.clientHeight/2;
	var scrollB2=getScrollTop()+clientH2-70;
	if($('.blackPos').css('display')=='block')return;
	$('.blackPos').show().css('top',scrollB2+'px');
	setTimeout(function(){
		$('.blackPos').hide();
	}, 1000);
}
